"""Mapping templates for GBD covariates.

This code is automatically generated by gbd_mapping_generator/covariate_builder.py

Any manual changes will be lost.
"""
from typing import Union

from .id import covid
from .base_template import ModelableEntity, GbdRecord


class Covariate(ModelableEntity):
    """Container for covariate GBD ids and metadata."""
    __slots__ = ('name', 'kind', 'gbd_id', 'by_age', 'by_sex', 'dichotomous', 'mean_value_exists',
                 'uncertainty_exists', 'by_age_violated', 'by_sex_violated', )

    def __init__(self,
                 name: str,
                 kind: str,
                 gbd_id: Union[covid, None],
                 by_age: bool,
                 by_sex: bool,
                 dichotomous: bool,
                 mean_value_exists: Union[bool, None],
                 uncertainty_exists: Union[bool, None],
                 by_age_violated: bool,
                 by_sex_violated: bool, ):
        super().__init__(name=name,
                         kind=kind,
                         gbd_id=gbd_id)
        self.name = name
        self.kind = kind
        self.gbd_id = gbd_id
        self.by_age = by_age
        self.by_sex = by_sex
        self.dichotomous = dichotomous
        self.mean_value_exists = mean_value_exists
        self.uncertainty_exists = uncertainty_exists
        self.by_age_violated = by_age_violated
        self.by_sex_violated = by_sex_violated


class Covariates(GbdRecord):
    """Container for GBD covariates."""
    __slots__ = ('absolute_value_of_average_latitude', 'adult_hiv_death_rate', 'alcohol_liters_per_capita',
                 'antenatal_care_1_visit_coverage_proportion', 'antenatal_care_4_visits_coverage_proportion',
                 'asbestos_production_binary', 'asbestos_production_kg_per_capita', 'age_specific_fertility_rate',
                 'tobacco_cigarettes_per_capita', 'coal_production_per_capita',
                 'coastal_population_within_10km_proportion', 'cumulative_cigarettes_10_years',
                 'cumulative_cigarettes_15_years', 'cumulative_cigarettes_20_years', 'cumulative_cigarettes_5_years',
                 'diabetes_fasting_plasma_glucose_mmol_l', 'diabetes_age_standardized_prevalence_proportion',
                 'diabetes_age_specific_prevalence_proportion', 'dtp3_coverage_proportion',
                 'education_years_per_capita', 'female_hiv_death_rate_per_1_for_ages_15_49',
                 'health_system_access_unitless', 'health_system_access_2_unitless',
                 'proportion_of_households_using_iodized_salt_adjusted', 'hib3_vaccine_coverage_proportion',
                 'hiv_prevalence_unadjusted_proportion', 'hospital_beds_per_1000', 'in_facility_delivery_proportion',
                 'ldi_income_per_capita', 'lead_gas_outphase_binary', 'live_births_thousands',
                 'underweight_proportion_less_than_2sd_weight_for_age_less_than_5_years', 'mean_bmi',
                 'cholesterol_total_mean_per_capita', 'systolic_blood_pressure_mmhg',
                 'population_weighted_mean_temperature', 'measles_vaccine_coverage_proportion',
                 'mortality_rate_due_to_death_shocks_in_last_10_years_per_1_person', 'opium_cultivation_binary',
                 'live_births_35_and_up_proportion', 'live_births_40_and_up_proportion', 'pig_meat_kg_per_capita',
                 'outdoor_air_pollution_pm_2_5', 'latitude_under_15_proportion', 'elevation_100_to_500m_proportion',
                 'elevation_over_1500m_proportion', 'population_15_to_30_proportion', 'latitude_15_to_30_proportion',
                 'latitude_30_to_45_proportion', 'latitude_over_45_proportion', 'elevation_500_to_1500m_proportion',
                 'population_over_65_proportion', 'elevation_under_100m_proportion',
                 'religion_binary_greater_than_50_percent_muslim', 'sahel_region_of_africa_binary',
                 'skilled_birth_attendance_proportion', 'smoking_prevalence',
                 'tetanus_toxoid_coverage_smooth_proportion', 'total_fertility_rate',
                 'vehicles_2_and_up4_wheels_per_capita', 'vehicles_2_wheels_per_capita',
                 'vehicles_4_wheels_per_capita', 'vehicles_2_wheels_fraction_proportion',
                 'mortality_rate_due_to_war_shocks_per_1_person', 'malaria_lysenko_pfpr_1_holoendemic',
                 'malaria_lysenko_pfpr_2_highest_endemicity', 'malaria_pfpr_rate',
                 'significant_leishmaniasis_endemicity_binary', 'leprosy_endemic_binary', 'year',
                 'chagas_population_at_risk_2_proportion', 'birth_prevalence_of_chd',
                 'birth_prevalence_of_congenital_chromosomal_anomalies',
                 'hemoglobinopathies_prevalence_x_excess_mortality', 'age_standardize_prevalence_of_severe_anemia',
                 'schistosomiasis_prevalence_proportion', 'maternal_care_and_immunization',
                 'neonatal_death_rate_modeled_2_per_1000', 'pcv3_coverage_proportion',
                 'presence_of_leishmaniasis_binary', 'potential_for_leishmaniasis_transmission_binary',
                 'high_leishmaniasis_endemicity_binary', 'under_5_hiv_death_rate',
                 'interaction_of_malaria_itn_and_pfpr_rate_covariates',
                 'interaction_of_malaria_itn_and_log_pfpr_covariates',
                 'malaria_pfpr_adjusted_for_itn_and_irs_coverage', 'syphilis_prevalence_proportion',
                 'year_x_gbd_analytical_region_5', 'year_x_gbd_analytical_region_9',
                 'year_x_gbd_analytical_region_21', 'year_x_gbd_analytical_region_32',
                 'year_x_gbd_analytical_region_42', 'year_x_gbd_analytical_region_56',
                 'year_x_gbd_analytical_region_65', 'year_x_gbd_analytical_region_70',
                 'year_x_gbd_analytical_region_73', 'year_x_gbd_analytical_region_96',
                 'year_x_gbd_analytical_region_100', 'year_x_gbd_analytical_region_104',
                 'year_x_gbd_analytical_region_120', 'year_x_gbd_analytical_region_124',
                 'year_x_gbd_analytical_region_134', 'year_x_gbd_analytical_region_138',
                 'year_x_gbd_analytical_region_159', 'year_x_gbd_analytical_region_167',
                 'year_x_gbd_analytical_region_174', 'year_x_gbd_analytical_region_192',
                 'year_x_gbd_analytical_region_199', 'year_x_gbd_analytical_superregion_4',
                 'year_x_gbd_analytical_superregion_31', 'year_x_gbd_analytical_superregion_64',
                 'year_x_gbd_analytical_superregion_103', 'year_x_gbd_analytical_superregion_137',
                 'year_x_gbd_analytical_superregion_158', 'year_x_gbd_analytical_superregion_166',
                 'population_weighted_probability_of_dengue_transmission', 'dengue_outbreaks_binary',
                 'exponentiated_version_of_dengue_anomalies',
                 'proportion_of_the_population_living_in_the_classic_monsoon_region',
                 'proportion_of_the_population_living_in_the_classic_monsoon_region_low_income_countries',
                 'dengue_anomalies_deviation_from_mean_dengue_incidence_rate',
                 'total_pc_treatments_per_person_at_risk_for_lf_infection_1999_2012',
                 'indicator_for_high_income_superregion_location_id_64', 'vitamin_a_supplementation_coverage_rate',
                 'hemoglobinopathies_prevalence_x_excess_mortality_excluding_g6pd_deficiency',
                 'indicator_for_southeast_asia_east_asia_and_oceania_superregion_location_id_4',
                 'indicator_for_central_europe_eastern_europe_and_central_asia_superregion_location_id_31',
                 'indicator_for_latin_america_and_caribbean_superregion_location_id_103',
                 'indicator_for_north_africa_and_middle_east_superregion_location_id_137',
                 'indicator_for_south_asia_superregion_location_id_158',
                 'indicator_for_sub_saharan_africa_superregion_location_id_166',
                 'alcohol_binge_drinker_proportion_age_standardized',
                 'proportion_of_the_population_living_in_the_indian_ocean_monsoon_belt',
                 'vitamin_a_deficiency_prevalence_age_standardized', 'prevalence_of_obesity',
                 'prevalence_of_overweight_and_obesity', 'prevalence_of_obesity_age_standardized',
                 'maternal_education_years_per_capita', 'chagasprevpaho', 'log_transformed_sev_scalar_tb',
                 'log_transformed_sev_scalar_oth_hiv', 'log_transformed_sev_scalar_diarrhea',
                 'log_transformed_sev_scalar_lri', 'log_transformed_sev_scalar_uri',
                 'log_transformed_sev_scalar_otitis', 'log_transformed_sev_scalar_measles',
                 'log_transformed_sev_scalar_mat_hem', 'log_transformed_sev_scalar_mat_sepsis',
                 'log_transformed_sev_scalar_mat_abort', 'log_transformed_sev_scalar_hep',
                 'log_transformed_sev_scalar_hep_b', 'log_transformed_sev_scalar_hep_c',
                 'log_transformed_sev_scalar_esophag_c', 'log_transformed_sev_scalar_stomach_c',
                 'log_transformed_sev_scalar_liver_c', 'log_transformed_sev_scalar_liver_c_hepb',
                 'log_transformed_sev_scalar_liver_c_hepc', 'log_transformed_sev_scalar_oth_liver_c',
                 'log_transformed_sev_scalar_larynx_c', 'log_transformed_sev_scalar_lung_c',
                 'log_transformed_sev_scalar_breast_c', 'log_transformed_sev_scalar_uterus_c',
                 'log_transformed_sev_scalar_prostate_c', 'log_transformed_sev_scalar_colorect_c',
                 'log_transformed_sev_scalar_mouth_c', 'log_transformed_sev_scalar_nasoph_c',
                 'log_transformed_sev_scalar_oth_phar_c', 'log_transformed_sev_scalar_gallblad_c',
                 'log_transformed_sev_scalar_pancreas_c', 'log_transformed_sev_scalar_ovary_c',
                 'log_transformed_sev_scalar_kidney_c', 'log_transformed_sev_scalar_bladder_c',
                 'log_transformed_sev_scalar_thyroid_c', 'log_transformed_sev_scalar_mesothel',
                 'log_transformed_sev_scalar_leukemia', 'log_transformed_sev_scalar_rhd',
                 'log_transformed_sev_scalar_ihd', 'log_transformed_sev_scalar_stroke',
                 'log_transformed_sev_scalar_isch_stroke', 'log_transformed_sev_scalar_hem_stroke',
                 'log_transformed_sev_scalar_cmp', 'log_transformed_sev_scalar_a_fib',
                 'log_transformed_sev_scalar_aort_an', 'log_transformed_sev_scalar_pvd',
                 'log_transformed_sev_scalar_endocar', 'log_transformed_sev_scalar_oth_cardio',
                 'log_transformed_sev_scalar_copd', 'log_transformed_sev_scalar_asthma',
                 'log_transformed_sev_scalar_ild', 'log_transformed_sev_scalar_oth_resp',
                 'log_transformed_sev_scalar_cirr_hepb', 'log_transformed_sev_scalar_cirr_hepc',
                 'log_transformed_sev_scalar_pancreatit', 'log_transformed_sev_scalar_epilepsy',
                 'log_transformed_sev_scalar_depression', 'log_transformed_sev_scalar_mdd',
                 'log_transformed_sev_scalar_id', 'log_transformed_sev_scalar_osteoarth',
                 'log_transformed_sev_scalar_back_and_upneck', 'log_transformed_sev_scalar_back_pain',
                 'log_transformed_sev_scalar_gout', 'log_transformed_sev_scalar_sense',
                 'log_transformed_sev_scalar_cataract', 'log_transformed_sev_scalar_hearing',
                 'log_transformed_sev_scalar_road_inj', 'log_transformed_sev_scalar_pedest',
                 'log_transformed_sev_scalar_cyclist', 'log_transformed_sev_scalar_mot_cyc',
                 'log_transformed_sev_scalar_mot_veh', 'log_transformed_sev_scalar_oth_road',
                 'log_transformed_sev_scalar_oth_trans', 'log_transformed_sev_scalar_falls',
                 'log_transformed_sev_scalar_drown', 'log_transformed_sev_scalar_fire',
                 'log_transformed_sev_scalar_poison', 'log_transformed_sev_scalar_mech',
                 'log_transformed_sev_scalar_mech_gun', 'log_transformed_sev_scalar_mech_suff',
                 'log_transformed_sev_scalar_oth_mech', 'log_transformed_sev_scalar_animal',
                 'log_transformed_sev_scalar_venom', 'log_transformed_sev_scalar_non_ven',
                 'log_transformed_sev_scalar_f_body', 'log_transformed_sev_scalar_f_body_asp',
                 'log_transformed_sev_scalar_oth_f_body', 'log_transformed_sev_scalar_oth_unint',
                 'log_transformed_sev_scalar_self_harm', 'log_transformed_sev_scalar_violence',
                 'log_transformed_sev_scalar_viol_gun', 'log_transformed_sev_scalar_viol_knife',
                 'log_transformed_sev_scalar_oth_viol', 'log_transformed_age_standardized_sev_scalar_tb',
                 'log_transformed_age_standardized_sev_scalar_oth_hiv',
                 'log_transformed_age_standardized_sev_scalar_diarrhea',
                 'log_transformed_age_standardized_sev_scalar_lri',
                 'log_transformed_age_standardized_sev_scalar_uri',
                 'log_transformed_age_standardized_sev_scalar_otitis',
                 'log_transformed_age_standardized_sev_scalar_measles',
                 'log_transformed_age_standardized_sev_scalar_mat_hem',
                 'log_transformed_age_standardized_sev_scalar_mat_sepsis',
                 'log_transformed_age_standardized_sev_scalar_mat_abort',
                 'log_transformed_age_standardized_sev_scalar_hep',
                 'log_transformed_age_standardized_sev_scalar_hep_b',
                 'log_transformed_age_standardized_sev_scalar_hep_c',
                 'log_transformed_age_standardized_sev_scalar_esophag_c',
                 'log_transformed_age_standardized_sev_scalar_stomach_c',
                 'log_transformed_age_standardized_sev_scalar_liver_c',
                 'log_transformed_age_standardized_sev_scalar_liver_c_hepb',
                 'log_transformed_age_standardized_sev_scalar_liver_c_hepc',
                 'log_transformed_age_standardized_sev_scalar_oth_liver_c',
                 'log_transformed_age_standardized_sev_scalar_larynx_c',
                 'log_transformed_age_standardized_sev_scalar_lung_c',
                 'log_transformed_age_standardized_sev_scalar_breast_c',
                 'log_transformed_age_standardized_sev_scalar_uterus_c',
                 'log_transformed_age_standardized_sev_scalar_prostate_c',
                 'log_transformed_age_standardized_sev_scalar_colorect_c',
                 'log_transformed_age_standardized_sev_scalar_mouth_c',
                 'log_transformed_age_standardized_sev_scalar_nasoph_c',
                 'log_transformed_age_standardized_sev_scalar_oth_phar_c',
                 'log_transformed_age_standardized_sev_scalar_gallblad_c',
                 'log_transformed_age_standardized_sev_scalar_pancreas_c',
                 'log_transformed_age_standardized_sev_scalar_ovary_c',
                 'log_transformed_age_standardized_sev_scalar_kidney_c',
                 'log_transformed_age_standardized_sev_scalar_bladder_c',
                 'log_transformed_age_standardized_sev_scalar_thyroid_c',
                 'log_transformed_age_standardized_sev_scalar_mesothel',
                 'log_transformed_age_standardized_sev_scalar_leukemia',
                 'log_transformed_age_standardized_sev_scalar_rhd',
                 'log_transformed_age_standardized_sev_scalar_ihd',
                 'log_transformed_age_standardized_sev_scalar_stroke',
                 'log_transformed_age_standardized_sev_scalar_isch_stroke',
                 'log_transformed_age_standardized_sev_scalar_hem_stroke',
                 'log_transformed_age_standardized_sev_scalar_cmp',
                 'log_transformed_age_standardized_sev_scalar_a_fib',
                 'log_transformed_age_standardized_sev_scalar_aort_an',
                 'log_transformed_age_standardized_sev_scalar_pvd',
                 'log_transformed_age_standardized_sev_scalar_endocar',
                 'log_transformed_age_standardized_sev_scalar_oth_cardio',
                 'log_transformed_age_standardized_sev_scalar_copd',
                 'log_transformed_age_standardized_sev_scalar_asthma',
                 'log_transformed_age_standardized_sev_scalar_oth_resp',
                 'log_transformed_age_standardized_sev_scalar_cirr_hepb',
                 'log_transformed_age_standardized_sev_scalar_cirr_hepc',
                 'log_transformed_age_standardized_sev_scalar_pancreatit',
                 'log_transformed_age_standardized_sev_scalar_epilepsy',
                 'log_transformed_age_standardized_sev_scalar_depression',
                 'log_transformed_age_standardized_sev_scalar_mdd', 'log_transformed_age_standardized_sev_scalar_id',
                 'log_transformed_age_standardized_sev_scalar_osteoarth',
                 'log_transformed_age_standardized_sev_scalar_back_and_upneck',
                 'log_transformed_age_standardized_sev_scalar_back_pain',
                 'log_transformed_age_standardized_sev_scalar_gout',
                 'log_transformed_age_standardized_sev_scalar_sense',
                 'log_transformed_age_standardized_sev_scalar_cataract',
                 'log_transformed_age_standardized_sev_scalar_hearing',
                 'log_transformed_age_standardized_sev_scalar_road_inj',
                 'log_transformed_age_standardized_sev_scalar_pedest',
                 'log_transformed_age_standardized_sev_scalar_cyclist',
                 'log_transformed_age_standardized_sev_scalar_mot_cyc',
                 'log_transformed_age_standardized_sev_scalar_mot_veh',
                 'log_transformed_age_standardized_sev_scalar_oth_road',
                 'log_transformed_age_standardized_sev_scalar_oth_trans',
                 'log_transformed_age_standardized_sev_scalar_falls',
                 'log_transformed_age_standardized_sev_scalar_drown',
                 'log_transformed_age_standardized_sev_scalar_fire',
                 'log_transformed_age_standardized_sev_scalar_poison',
                 'log_transformed_age_standardized_sev_scalar_mech',
                 'log_transformed_age_standardized_sev_scalar_mech_gun',
                 'log_transformed_age_standardized_sev_scalar_mech_suff',
                 'log_transformed_age_standardized_sev_scalar_oth_mech',
                 'log_transformed_age_standardized_sev_scalar_animal',
                 'log_transformed_age_standardized_sev_scalar_venom',
                 'log_transformed_age_standardized_sev_scalar_non_ven',
                 'log_transformed_age_standardized_sev_scalar_f_body',
                 'log_transformed_age_standardized_sev_scalar_f_body_asp',
                 'log_transformed_age_standardized_sev_scalar_oth_f_body',
                 'log_transformed_age_standardized_sev_scalar_oth_unint',
                 'log_transformed_age_standardized_sev_scalar_self_harm',
                 'log_transformed_age_standardized_sev_scalar_violence',
                 'log_transformed_age_standardized_sev_scalar_viol_gun',
                 'log_transformed_age_standardized_sev_scalar_viol_knife',
                 'log_transformed_age_standardized_sev_scalar_oth_viol', 'education_age_standardized',
                 'meningitis_belt_proportion', 'gdp_per_capita_base_2010', 'urbanicity', 'sev_unsafe_water',
                 'sev_unsafe_sanitation', 'malaria_incidence_from_map_estimates_africa',
                 'dengue_reporting_trends_transformed_into_relative_risks_relative_to_that_countrys_mean_incidence',
                 'echinococcosis_endemicity', 'socio_demographic_index',
                 'japanese_encelphalitis_endemic_area_binary', 'calcium_adjusted_g', 'calcium_unadjusted_g',
                 'fiber_adjusted_g', 'fiber_unadjusted_g', 'omega_3_adjusted_g', 'fruits_adjusted_g',
                 'fruits_unadjusted_g', 'milk_adjusted_g', 'milk_unadjusted_g', 'nuts_seeds_adjusted_g',
                 'pufa_adjusted_percent', 'pulses_legumes_adjusted_g', 'red_meats_adjusted_g',
                 'red_meats_unadjusted_g', 'saturated_fats_adjusted_percent', 'sugar_adjusted_g',
                 'sugar_unadjusted_g', 'vegetables_adjusted_g', 'vegetables_unadjusted_g', 'energy_unadjusted_kcal',
                 'interaction_of_prevalence_weighted_drug_resistance_and_malaria_incidence',
                 'hiv_mortality_females_10_54', 'hiv_age_standardized_prevalence',
                 'log_transformed_age_standardized_sev_scalar_maternal',
                 'log_transformed_age_standardized_sev_scalar_cvd',
                 'log_transformed_age_standardized_sev_scalar_chr_resp',
                 'log_transformed_age_standardized_sev_scalar_cirrhosis',
                 'log_transformed_age_standardized_sev_scalar_digestive',
                 'log_transformed_age_standardized_sev_scalar_msk',
                 'log_transformed_age_standardized_sev_scalar_trans_inj', 'log_transformed_sev_scalar_maternal',
                 'log_transformed_sev_scalar_cvd', 'log_transformed_sev_scalar_chr_resp',
                 'log_transformed_sev_scalar_cirrhosis', 'log_transformed_sev_scalar_digestive',
                 'log_transformed_sev_scalar_msk', 'log_transformed_sev_scalar_trans_inj', 'vitamin_a_unadjusted_iu',
                 'vitamin_a_rae_unadjusted_ug', 'vitamin_a_retinol_unadjusted_ug', 'dietary_zinc_unadjusted_mg',
                 'proportion_of_total_population_covered_by_menafrivac_initiative_meningitis_meningococcal_type_a_vaccine',
                 'stunting_proportion_less_than_2sd_height_for_age_less_than_5_years',
                 'wasting_proportion_less_than_2sd_weight_for_height_less_than_5_years',
                 'malnutrition_childhood_underweight_proportion_less_than_2sd_weight_for_age',
                 'malaria_incidence_adjusted_for_antimalarial_coverage_and_drug_effectiveness',
                 'hepatitis_b_hbsag_seroprevalence', 'hepatitis_c_igg_seroprevalence',
                 'rotavirus_coverage_proportion', 'proportion_of_cirrhosis_due_to_alcohol',
                 'proportion_of_cirrhosis_due_to_hepatitis_b', 'proportion_of_cirrhosis_due_to_hepatitis_c',
                 'proportion_of_cirrhosis_due_to_other_causes',
                 'proportion_of_liver_cancer_due_to_alcohol_age_standardized',
                 'proportion_of_liver_cancer_due_to_hepatitis_b_age_standardized',
                 'proportion_of_liver_cancer_due_to_hepatitis_c_age_standardized',
                 'proportion_of_liver_cancer_due_to_other_causes_age_standardized', 'seroprevalence_of_anti_hav_igg',
                 'seroprevalence_of_anti_hev_igg', 'major_depressive_disorder', 'health_expenditure_per_capita',
                 'risk_of_selfharm_due_to_major_depressive_disorder', 'fraction_of_oop_health_expenditure',
                 'universal_health_coverage', 'maternal_alcohol_consumption_during_pregnancy_proportion',
                 'healthcare_access_and_quality_index', 'age_standardized_proportion_adult_underweight',
                 'ors_oral_rehydration', 'antibiotics_for_lri', 'live_births_by_sex', 'age_standardized_melanoma',
                 'measles_vaccine_coverage_2_doses_proportion', 'schisto_cumulative_treatments',
                 'iron_energy_unadjusted_mg', 'poultry_energy_unadjusted_g', 'malaria_pfpr_map',
                 'malaria_incidence_map', 'antimalarial_effective_treatment_ratio_map',
                 'antimalarial_effective_treatment_map', 'mean_birth_weight',
                 'mean_hemoglobin_concentration_age_standardized',
                 'age_standardized_prevalence_of_cocaine_dependence_in_women_of_reproductive_age',
                 'age_standardized_prevalence_of_opioid_dependence_in_women_of_reproductive_age',
                 'age_standardized_prevalence_of_cannabis_dependence_in_women_of_reproductive_age',
                 'rubella_vaccine_coverage_proportion',
                 'tuberculosis_infection_risk_weighted_prevalence_age_standardized',
                 'ten_year_lag_distributed_energy_per_capita', 'folic_acid_unadjusted_ug',
                 'smooth_outphase_of_leaded_gasoline', 'lead_exposure', 'discontinued_breastfeeding_sev',
                 'zinc_deficiency', 'diet_high_in_trans_fatty_acids', 'diet_high_in_sodium',
                 'tuberculosis_prevalence_age_standardized', 'low_bone_mineral_density',
                 'age_standardized_bone_mineral_density_among_population_age_60_and_up_years',
                 'malnutrition_shock_log_transformed_mortality_rate', 'malnutrition_shock_mortality_rate',
                 'mean_war_mortality_rate_in_the_previous_ten_years',
                 'alcohol_abstainer_proportion_age_standardized',
                 'log_transformed_age_standardized_sev_scalar_for_both_sexes_combined_tb', 'secondhand_smoke',
                 'visceral_leishmaniasis_incidence', 'homicide_rate_sex_specific',
                 'non_partner_lifetime_prevalence_of_sexual_violence_female_only', 'all_age_underweight',
                 'zinc_treatment_for_diarrhea', 'fortification_standard',
                 'fortification_standard_including_folic_acid', 'adult_hiv_crude_death_rate',
                 'polio_3_dose_coverage_proportion', 'hepatitis_b_3_dose_coverage_proportion',
                 'composite_fortification_standard_and_folic_acid_inclusion',
                 'intravenous_drug_use_age_standardized_proportion',
                 'alcohol_consumption_age_standardized_in_grams_per_day',
                 'alcohol_drinker_proportion_age_standardized',
                 'proportion_of_liver_cancer_due_to_nash_age_standardized', 'proportion_of_cirrhosis_due_to_nash',
                 'muslim_religion_proportion_of_population', 'tb_strain_prevalence_weighted_transmission_rr',
                 'short_gestation_sev_all_ages_by_sex', 'age_and_sex_specific_underweight_weight_for_age_sev',
                 'age_standardized_underweight_weight_for_age_sev',
                 'age_and_sex_specific_stunting_height_for_age_sev', 'age_standardized_stunting_height_for_age_sev',
                 'age_and_sex_specific_wasting_weight_for_height_sev',
                 'age_standardized_wasting_weight_for_height_sev', 'low_birth_weight_sev_all_ages_by_sex',
                 'adult_hiv_death_rate_both_sexes', 'fortification_standard_including_iron',
                 'composite_fortification_standard_and_iron_inclusion',
                 'pelvic_inflammatory_disease_age_standardized_prevalence',
                 'pelvic_inflammatory_disease_all_age_prevalence', 'nafld_nash_prevalence',
                 'hepatitis_b_3_dose_coverage_proportion_lagged_5_years',
                 'hepatitis_b_3_dose_coverage_proportion_lagged_ten_years',
                 'interaction_between_sdi_and_2_and_up4_wheeled_vehicles_per_capita',
                 'age_standardized_death_rate_of_diabetes_0_15_years_per_100_000',
                 'alcohol_sev_age_and_sex_specific', 'alcohol_sev_age_standardized',
                 'underweight_women_of_reproductive_age', 'underweight_women_age_specific',
                 'opioids_per_million_population_per_day', 'log_transformed_sev_scalar_tb_other',
                 'log_transformed_sev_scalar_tb_mdr', 'log_transformed_sev_scalar_hiv',
                 'log_transformed_sev_scalar_hiv_tb_other', 'log_transformed_sev_scalar_hiv_tb_mdr',
                 'log_transformed_sev_scalar_meningitis_pneumo', 'log_transformed_sev_scalar_meningitis_hib',
                 'log_transformed_sev_scalar_meningitis_meningo', 'log_transformed_sev_scalar_meningitis_other',
                 'log_transformed_sev_scalar_encephalitis', 'log_transformed_sev_scalar_neonatal_enceph',
                 'log_transformed_sev_scalar_neonatal_sepsis', 'log_transformed_sev_scalar_neonatal_hemolytic',
                 'log_transformed_sev_scalar_neonatal_other', 'log_transformed_sev_scalar_neo_lymphoma',
                 'log_transformed_sev_scalar_neo_myeloma', 'log_transformed_sev_scalar_neo_leukemia_ll_acute',
                 'log_transformed_sev_scalar_neo_leukemia_ll_chronic',
                 'log_transformed_sev_scalar_neo_leukemia_ml_acute',
                 'log_transformed_sev_scalar_neo_leukemia_ml_chronic',
                 'log_transformed_sev_scalar_neo_leukemia_other', 'log_transformed_sev_scalar_cvd_cmp_other',
                 'log_transformed_sev_scalar_digest_pud', 'log_transformed_sev_scalar_digest_bile',
                 'log_transformed_sev_scalar_neuro_dementia', 'log_transformed_sev_scalar_neuro_ms',
                 'log_transformed_sev_scalar_msk_rheumarthritis', 'log_transformed_sev_scalar_sense_glaucoma',
                 'log_transformed_sev_scalar_sense_macular', 'log_transformed_sev_scalar_inj_suicide_firearm',
                 'log_transformed_sev_scalar_inj_suicide_other',
                 'log_transformed_age_standardized_sev_scalar_tb_other',
                 'log_transformed_age_standardized_sev_scalar_tb_mdr',
                 'log_transformed_age_standardized_sev_scalar_hiv',
                 'log_transformed_age_standardized_sev_scalar_hiv_tb_other',
                 'log_transformed_age_standardized_sev_scalar_hiv_tb_mdr',
                 'log_transformed_age_standardized_sev_scalar_meningitis',
                 'log_transformed_age_standardized_sev_scalar_meningitis_pneumo',
                 'log_transformed_age_standardized_sev_scalar_meningitis_hib',
                 'log_transformed_age_standardized_sev_scalar_meningitis_meningo',
                 'log_transformed_age_standardized_sev_scalar_meningitis_other',
                 'log_transformed_age_standardized_sev_scalar_encephalitis',
                 'log_transformed_age_standardized_sev_scalar_neonatal_enceph',
                 'log_transformed_age_standardized_sev_scalar_neonatal_sepsis',
                 'log_transformed_age_standardized_sev_scalar_neonatal_hemolytic',
                 'log_transformed_age_standardized_sev_scalar_neonatal_other',
                 'log_transformed_age_standardized_sev_scalar_neo_lymphoma',
                 'log_transformed_age_standardized_sev_scalar_neo_myeloma',
                 'log_transformed_age_standardized_sev_scalar_neo_leukemia_ll_acute',
                 'log_transformed_age_standardized_sev_scalar_neo_leukemia_ll_chronic',
                 'log_transformed_age_standardized_sev_scalar_neo_leukemia_ml_acute',
                 'log_transformed_age_standardized_sev_scalar_neo_leukemia_ml_chronic',
                 'log_transformed_age_standardized_sev_scalar_neo_leukemia_other',
                 'log_transformed_age_standardized_sev_scalar_cvd_cmp_other',
                 'log_transformed_age_standardized_sev_scalar_digest_pud',
                 'log_transformed_age_standardized_sev_scalar_digest_bile',
                 'log_transformed_age_standardized_sev_scalar_neuro_dementia',
                 'log_transformed_age_standardized_sev_scalar_neuro_ms',
                 'log_transformed_age_standardized_sev_scalar_msk_rheumarthritis',
                 'log_transformed_age_standardized_sev_scalar_sense_glaucoma',
                 'log_transformed_age_standardized_sev_scalar_sense_macular',
                 'log_transformed_age_standardized_sev_scalar_sids',
                 'log_transformed_age_standardized_sev_scalar_inj_suicide_firearm',
                 'log_transformed_age_standardized_sev_scalar_inj_suicide_other',
                 'opioids_per_million_population_per_day_5_year_lag',
                 'opioids_per_million_population_per_day_ten_year_lag', 'occupation_professionals',
                 'health_industry_workers', 'education_years_per_capita_aggregated_by_age_15_and_up_and_sex',
                 'underweight_age_and_sex_specific', 'total_physical_activity_met_min_week_age_specific',
                 'total_physical_activity_met_min_week_age_standardized',
                 'bacille_calmette_guerin_bcg_vaccine_coverage_proportion',
                 'hepatitis_b_vaccine_coverage_proportion_aged_through_time',
                 'adolescent_birth_rates_10_19_years_of_age',
                 'pigs_raised_in_extensive_agricultural_systems_per_capita',
                 'pigs_raised_in_semi_extensive_agricultural_systems_per_capita',
                 'pigs_raised_in_intensive_industrial_agricultural_systems_per_capita',
                 'mean_hemoglobin_age_sex_specific', 'hiv_mortality_rate', 'medical_schools', )

    def __init__(self, **kwargs):
        super().__init__()
        self.absolute_value_of_average_latitude = kwargs.get('absolute_value_of_average_latitude')
        self.adult_hiv_death_rate = kwargs.get('adult_hiv_death_rate')
        self.alcohol_liters_per_capita = kwargs.get('alcohol_liters_per_capita')
        self.antenatal_care_1_visit_coverage_proportion = kwargs.get('antenatal_care_1_visit_coverage_proportion')
        self.antenatal_care_4_visits_coverage_proportion = kwargs.get('antenatal_care_4_visits_coverage_proportion')
        self.asbestos_production_binary = kwargs.get('asbestos_production_binary')
        self.asbestos_production_kg_per_capita = kwargs.get('asbestos_production_kg_per_capita')
        self.age_specific_fertility_rate = kwargs.get('age_specific_fertility_rate')
        self.tobacco_cigarettes_per_capita = kwargs.get('tobacco_cigarettes_per_capita')
        self.coal_production_per_capita = kwargs.get('coal_production_per_capita')
        self.coastal_population_within_10km_proportion = kwargs.get('coastal_population_within_10km_proportion')
        self.cumulative_cigarettes_10_years = kwargs.get('cumulative_cigarettes_10_years')
        self.cumulative_cigarettes_15_years = kwargs.get('cumulative_cigarettes_15_years')
        self.cumulative_cigarettes_20_years = kwargs.get('cumulative_cigarettes_20_years')
        self.cumulative_cigarettes_5_years = kwargs.get('cumulative_cigarettes_5_years')
        self.diabetes_fasting_plasma_glucose_mmol_l = kwargs.get('diabetes_fasting_plasma_glucose_mmol_l')
        self.diabetes_age_standardized_prevalence_proportion = kwargs.get('diabetes_age_standardized_prevalence_proportion')
        self.diabetes_age_specific_prevalence_proportion = kwargs.get('diabetes_age_specific_prevalence_proportion')
        self.dtp3_coverage_proportion = kwargs.get('dtp3_coverage_proportion')
        self.education_years_per_capita = kwargs.get('education_years_per_capita')
        self.female_hiv_death_rate_per_1_for_ages_15_49 = kwargs.get('female_hiv_death_rate_per_1_for_ages_15_49')
        self.health_system_access_unitless = kwargs.get('health_system_access_unitless')
        self.health_system_access_2_unitless = kwargs.get('health_system_access_2_unitless')
        self.proportion_of_households_using_iodized_salt_adjusted = kwargs.get('proportion_of_households_using_iodized_salt_adjusted')
        self.hib3_vaccine_coverage_proportion = kwargs.get('hib3_vaccine_coverage_proportion')
        self.hiv_prevalence_unadjusted_proportion = kwargs.get('hiv_prevalence_unadjusted_proportion')
        self.hospital_beds_per_1000 = kwargs.get('hospital_beds_per_1000')
        self.in_facility_delivery_proportion = kwargs.get('in_facility_delivery_proportion')
        self.ldi_income_per_capita = kwargs.get('ldi_income_per_capita')
        self.lead_gas_outphase_binary = kwargs.get('lead_gas_outphase_binary')
        self.live_births_thousands = kwargs.get('live_births_thousands')
        self.underweight_proportion_less_than_2sd_weight_for_age_less_than_5_years = kwargs.get('underweight_proportion_less_than_2sd_weight_for_age_less_than_5_years')
        self.mean_bmi = kwargs.get('mean_bmi')
        self.cholesterol_total_mean_per_capita = kwargs.get('cholesterol_total_mean_per_capita')
        self.systolic_blood_pressure_mmhg = kwargs.get('systolic_blood_pressure_mmhg')
        self.population_weighted_mean_temperature = kwargs.get('population_weighted_mean_temperature')
        self.measles_vaccine_coverage_proportion = kwargs.get('measles_vaccine_coverage_proportion')
        self.mortality_rate_due_to_death_shocks_in_last_10_years_per_1_person = kwargs.get('mortality_rate_due_to_death_shocks_in_last_10_years_per_1_person')
        self.opium_cultivation_binary = kwargs.get('opium_cultivation_binary')
        self.live_births_35_and_up_proportion = kwargs.get('live_births_35_and_up_proportion')
        self.live_births_40_and_up_proportion = kwargs.get('live_births_40_and_up_proportion')
        self.pig_meat_kg_per_capita = kwargs.get('pig_meat_kg_per_capita')
        self.outdoor_air_pollution_pm_2_5 = kwargs.get('outdoor_air_pollution_pm_2_5')
        self.latitude_under_15_proportion = kwargs.get('latitude_under_15_proportion')
        self.elevation_100_to_500m_proportion = kwargs.get('elevation_100_to_500m_proportion')
        self.elevation_over_1500m_proportion = kwargs.get('elevation_over_1500m_proportion')
        self.population_15_to_30_proportion = kwargs.get('population_15_to_30_proportion')
        self.latitude_15_to_30_proportion = kwargs.get('latitude_15_to_30_proportion')
        self.latitude_30_to_45_proportion = kwargs.get('latitude_30_to_45_proportion')
        self.latitude_over_45_proportion = kwargs.get('latitude_over_45_proportion')
        self.elevation_500_to_1500m_proportion = kwargs.get('elevation_500_to_1500m_proportion')
        self.population_over_65_proportion = kwargs.get('population_over_65_proportion')
        self.elevation_under_100m_proportion = kwargs.get('elevation_under_100m_proportion')
        self.religion_binary_greater_than_50_percent_muslim = kwargs.get('religion_binary_greater_than_50_percent_muslim')
        self.sahel_region_of_africa_binary = kwargs.get('sahel_region_of_africa_binary')
        self.skilled_birth_attendance_proportion = kwargs.get('skilled_birth_attendance_proportion')
        self.smoking_prevalence = kwargs.get('smoking_prevalence')
        self.tetanus_toxoid_coverage_smooth_proportion = kwargs.get('tetanus_toxoid_coverage_smooth_proportion')
        self.total_fertility_rate = kwargs.get('total_fertility_rate')
        self.vehicles_2_and_up4_wheels_per_capita = kwargs.get('vehicles_2_and_up4_wheels_per_capita')
        self.vehicles_2_wheels_per_capita = kwargs.get('vehicles_2_wheels_per_capita')
        self.vehicles_4_wheels_per_capita = kwargs.get('vehicles_4_wheels_per_capita')
        self.vehicles_2_wheels_fraction_proportion = kwargs.get('vehicles_2_wheels_fraction_proportion')
        self.mortality_rate_due_to_war_shocks_per_1_person = kwargs.get('mortality_rate_due_to_war_shocks_per_1_person')
        self.malaria_lysenko_pfpr_1_holoendemic = kwargs.get('malaria_lysenko_pfpr_1_holoendemic')
        self.malaria_lysenko_pfpr_2_highest_endemicity = kwargs.get('malaria_lysenko_pfpr_2_highest_endemicity')
        self.malaria_pfpr_rate = kwargs.get('malaria_pfpr_rate')
        self.significant_leishmaniasis_endemicity_binary = kwargs.get('significant_leishmaniasis_endemicity_binary')
        self.leprosy_endemic_binary = kwargs.get('leprosy_endemic_binary')
        self.year = kwargs.get('year')
        self.chagas_population_at_risk_2_proportion = kwargs.get('chagas_population_at_risk_2_proportion')
        self.birth_prevalence_of_chd = kwargs.get('birth_prevalence_of_chd')
        self.birth_prevalence_of_congenital_chromosomal_anomalies = kwargs.get('birth_prevalence_of_congenital_chromosomal_anomalies')
        self.hemoglobinopathies_prevalence_x_excess_mortality = kwargs.get('hemoglobinopathies_prevalence_x_excess_mortality')
        self.age_standardize_prevalence_of_severe_anemia = kwargs.get('age_standardize_prevalence_of_severe_anemia')
        self.schistosomiasis_prevalence_proportion = kwargs.get('schistosomiasis_prevalence_proportion')
        self.maternal_care_and_immunization = kwargs.get('maternal_care_and_immunization')
        self.neonatal_death_rate_modeled_2_per_1000 = kwargs.get('neonatal_death_rate_modeled_2_per_1000')
        self.pcv3_coverage_proportion = kwargs.get('pcv3_coverage_proportion')
        self.presence_of_leishmaniasis_binary = kwargs.get('presence_of_leishmaniasis_binary')
        self.potential_for_leishmaniasis_transmission_binary = kwargs.get('potential_for_leishmaniasis_transmission_binary')
        self.high_leishmaniasis_endemicity_binary = kwargs.get('high_leishmaniasis_endemicity_binary')
        self.under_5_hiv_death_rate = kwargs.get('under_5_hiv_death_rate')
        self.interaction_of_malaria_itn_and_pfpr_rate_covariates = kwargs.get('interaction_of_malaria_itn_and_pfpr_rate_covariates')
        self.interaction_of_malaria_itn_and_log_pfpr_covariates = kwargs.get('interaction_of_malaria_itn_and_log_pfpr_covariates')
        self.malaria_pfpr_adjusted_for_itn_and_irs_coverage = kwargs.get('malaria_pfpr_adjusted_for_itn_and_irs_coverage')
        self.syphilis_prevalence_proportion = kwargs.get('syphilis_prevalence_proportion')
        self.year_x_gbd_analytical_region_5 = kwargs.get('year_x_gbd_analytical_region_5')
        self.year_x_gbd_analytical_region_9 = kwargs.get('year_x_gbd_analytical_region_9')
        self.year_x_gbd_analytical_region_21 = kwargs.get('year_x_gbd_analytical_region_21')
        self.year_x_gbd_analytical_region_32 = kwargs.get('year_x_gbd_analytical_region_32')
        self.year_x_gbd_analytical_region_42 = kwargs.get('year_x_gbd_analytical_region_42')
        self.year_x_gbd_analytical_region_56 = kwargs.get('year_x_gbd_analytical_region_56')
        self.year_x_gbd_analytical_region_65 = kwargs.get('year_x_gbd_analytical_region_65')
        self.year_x_gbd_analytical_region_70 = kwargs.get('year_x_gbd_analytical_region_70')
        self.year_x_gbd_analytical_region_73 = kwargs.get('year_x_gbd_analytical_region_73')
        self.year_x_gbd_analytical_region_96 = kwargs.get('year_x_gbd_analytical_region_96')
        self.year_x_gbd_analytical_region_100 = kwargs.get('year_x_gbd_analytical_region_100')
        self.year_x_gbd_analytical_region_104 = kwargs.get('year_x_gbd_analytical_region_104')
        self.year_x_gbd_analytical_region_120 = kwargs.get('year_x_gbd_analytical_region_120')
        self.year_x_gbd_analytical_region_124 = kwargs.get('year_x_gbd_analytical_region_124')
        self.year_x_gbd_analytical_region_134 = kwargs.get('year_x_gbd_analytical_region_134')
        self.year_x_gbd_analytical_region_138 = kwargs.get('year_x_gbd_analytical_region_138')
        self.year_x_gbd_analytical_region_159 = kwargs.get('year_x_gbd_analytical_region_159')
        self.year_x_gbd_analytical_region_167 = kwargs.get('year_x_gbd_analytical_region_167')
        self.year_x_gbd_analytical_region_174 = kwargs.get('year_x_gbd_analytical_region_174')
        self.year_x_gbd_analytical_region_192 = kwargs.get('year_x_gbd_analytical_region_192')
        self.year_x_gbd_analytical_region_199 = kwargs.get('year_x_gbd_analytical_region_199')
        self.year_x_gbd_analytical_superregion_4 = kwargs.get('year_x_gbd_analytical_superregion_4')
        self.year_x_gbd_analytical_superregion_31 = kwargs.get('year_x_gbd_analytical_superregion_31')
        self.year_x_gbd_analytical_superregion_64 = kwargs.get('year_x_gbd_analytical_superregion_64')
        self.year_x_gbd_analytical_superregion_103 = kwargs.get('year_x_gbd_analytical_superregion_103')
        self.year_x_gbd_analytical_superregion_137 = kwargs.get('year_x_gbd_analytical_superregion_137')
        self.year_x_gbd_analytical_superregion_158 = kwargs.get('year_x_gbd_analytical_superregion_158')
        self.year_x_gbd_analytical_superregion_166 = kwargs.get('year_x_gbd_analytical_superregion_166')
        self.population_weighted_probability_of_dengue_transmission = kwargs.get('population_weighted_probability_of_dengue_transmission')
        self.dengue_outbreaks_binary = kwargs.get('dengue_outbreaks_binary')
        self.exponentiated_version_of_dengue_anomalies = kwargs.get('exponentiated_version_of_dengue_anomalies')
        self.proportion_of_the_population_living_in_the_classic_monsoon_region = kwargs.get('proportion_of_the_population_living_in_the_classic_monsoon_region')
        self.proportion_of_the_population_living_in_the_classic_monsoon_region_low_income_countries = kwargs.get('proportion_of_the_population_living_in_the_classic_monsoon_region_low_income_countries')
        self.dengue_anomalies_deviation_from_mean_dengue_incidence_rate = kwargs.get('dengue_anomalies_deviation_from_mean_dengue_incidence_rate')
        self.total_pc_treatments_per_person_at_risk_for_lf_infection_1999_2012 = kwargs.get('total_pc_treatments_per_person_at_risk_for_lf_infection_1999_2012')
        self.indicator_for_high_income_superregion_location_id_64 = kwargs.get('indicator_for_high_income_superregion_location_id_64')
        self.vitamin_a_supplementation_coverage_rate = kwargs.get('vitamin_a_supplementation_coverage_rate')
        self.hemoglobinopathies_prevalence_x_excess_mortality_excluding_g6pd_deficiency = kwargs.get('hemoglobinopathies_prevalence_x_excess_mortality_excluding_g6pd_deficiency')
        self.indicator_for_southeast_asia_east_asia_and_oceania_superregion_location_id_4 = kwargs.get('indicator_for_southeast_asia_east_asia_and_oceania_superregion_location_id_4')
        self.indicator_for_central_europe_eastern_europe_and_central_asia_superregion_location_id_31 = kwargs.get('indicator_for_central_europe_eastern_europe_and_central_asia_superregion_location_id_31')
        self.indicator_for_latin_america_and_caribbean_superregion_location_id_103 = kwargs.get('indicator_for_latin_america_and_caribbean_superregion_location_id_103')
        self.indicator_for_north_africa_and_middle_east_superregion_location_id_137 = kwargs.get('indicator_for_north_africa_and_middle_east_superregion_location_id_137')
        self.indicator_for_south_asia_superregion_location_id_158 = kwargs.get('indicator_for_south_asia_superregion_location_id_158')
        self.indicator_for_sub_saharan_africa_superregion_location_id_166 = kwargs.get('indicator_for_sub_saharan_africa_superregion_location_id_166')
        self.alcohol_binge_drinker_proportion_age_standardized = kwargs.get('alcohol_binge_drinker_proportion_age_standardized')
        self.proportion_of_the_population_living_in_the_indian_ocean_monsoon_belt = kwargs.get('proportion_of_the_population_living_in_the_indian_ocean_monsoon_belt')
        self.vitamin_a_deficiency_prevalence_age_standardized = kwargs.get('vitamin_a_deficiency_prevalence_age_standardized')
        self.prevalence_of_obesity = kwargs.get('prevalence_of_obesity')
        self.prevalence_of_overweight_and_obesity = kwargs.get('prevalence_of_overweight_and_obesity')
        self.prevalence_of_obesity_age_standardized = kwargs.get('prevalence_of_obesity_age_standardized')
        self.maternal_education_years_per_capita = kwargs.get('maternal_education_years_per_capita')
        self.chagasprevpaho = kwargs.get('chagasprevpaho')
        self.log_transformed_sev_scalar_tb = kwargs.get('log_transformed_sev_scalar_tb')
        self.log_transformed_sev_scalar_oth_hiv = kwargs.get('log_transformed_sev_scalar_oth_hiv')
        self.log_transformed_sev_scalar_diarrhea = kwargs.get('log_transformed_sev_scalar_diarrhea')
        self.log_transformed_sev_scalar_lri = kwargs.get('log_transformed_sev_scalar_lri')
        self.log_transformed_sev_scalar_uri = kwargs.get('log_transformed_sev_scalar_uri')
        self.log_transformed_sev_scalar_otitis = kwargs.get('log_transformed_sev_scalar_otitis')
        self.log_transformed_sev_scalar_measles = kwargs.get('log_transformed_sev_scalar_measles')
        self.log_transformed_sev_scalar_mat_hem = kwargs.get('log_transformed_sev_scalar_mat_hem')
        self.log_transformed_sev_scalar_mat_sepsis = kwargs.get('log_transformed_sev_scalar_mat_sepsis')
        self.log_transformed_sev_scalar_mat_abort = kwargs.get('log_transformed_sev_scalar_mat_abort')
        self.log_transformed_sev_scalar_hep = kwargs.get('log_transformed_sev_scalar_hep')
        self.log_transformed_sev_scalar_hep_b = kwargs.get('log_transformed_sev_scalar_hep_b')
        self.log_transformed_sev_scalar_hep_c = kwargs.get('log_transformed_sev_scalar_hep_c')
        self.log_transformed_sev_scalar_esophag_c = kwargs.get('log_transformed_sev_scalar_esophag_c')
        self.log_transformed_sev_scalar_stomach_c = kwargs.get('log_transformed_sev_scalar_stomach_c')
        self.log_transformed_sev_scalar_liver_c = kwargs.get('log_transformed_sev_scalar_liver_c')
        self.log_transformed_sev_scalar_liver_c_hepb = kwargs.get('log_transformed_sev_scalar_liver_c_hepb')
        self.log_transformed_sev_scalar_liver_c_hepc = kwargs.get('log_transformed_sev_scalar_liver_c_hepc')
        self.log_transformed_sev_scalar_oth_liver_c = kwargs.get('log_transformed_sev_scalar_oth_liver_c')
        self.log_transformed_sev_scalar_larynx_c = kwargs.get('log_transformed_sev_scalar_larynx_c')
        self.log_transformed_sev_scalar_lung_c = kwargs.get('log_transformed_sev_scalar_lung_c')
        self.log_transformed_sev_scalar_breast_c = kwargs.get('log_transformed_sev_scalar_breast_c')
        self.log_transformed_sev_scalar_uterus_c = kwargs.get('log_transformed_sev_scalar_uterus_c')
        self.log_transformed_sev_scalar_prostate_c = kwargs.get('log_transformed_sev_scalar_prostate_c')
        self.log_transformed_sev_scalar_colorect_c = kwargs.get('log_transformed_sev_scalar_colorect_c')
        self.log_transformed_sev_scalar_mouth_c = kwargs.get('log_transformed_sev_scalar_mouth_c')
        self.log_transformed_sev_scalar_nasoph_c = kwargs.get('log_transformed_sev_scalar_nasoph_c')
        self.log_transformed_sev_scalar_oth_phar_c = kwargs.get('log_transformed_sev_scalar_oth_phar_c')
        self.log_transformed_sev_scalar_gallblad_c = kwargs.get('log_transformed_sev_scalar_gallblad_c')
        self.log_transformed_sev_scalar_pancreas_c = kwargs.get('log_transformed_sev_scalar_pancreas_c')
        self.log_transformed_sev_scalar_ovary_c = kwargs.get('log_transformed_sev_scalar_ovary_c')
        self.log_transformed_sev_scalar_kidney_c = kwargs.get('log_transformed_sev_scalar_kidney_c')
        self.log_transformed_sev_scalar_bladder_c = kwargs.get('log_transformed_sev_scalar_bladder_c')
        self.log_transformed_sev_scalar_thyroid_c = kwargs.get('log_transformed_sev_scalar_thyroid_c')
        self.log_transformed_sev_scalar_mesothel = kwargs.get('log_transformed_sev_scalar_mesothel')
        self.log_transformed_sev_scalar_leukemia = kwargs.get('log_transformed_sev_scalar_leukemia')
        self.log_transformed_sev_scalar_rhd = kwargs.get('log_transformed_sev_scalar_rhd')
        self.log_transformed_sev_scalar_ihd = kwargs.get('log_transformed_sev_scalar_ihd')
        self.log_transformed_sev_scalar_stroke = kwargs.get('log_transformed_sev_scalar_stroke')
        self.log_transformed_sev_scalar_isch_stroke = kwargs.get('log_transformed_sev_scalar_isch_stroke')
        self.log_transformed_sev_scalar_hem_stroke = kwargs.get('log_transformed_sev_scalar_hem_stroke')
        self.log_transformed_sev_scalar_cmp = kwargs.get('log_transformed_sev_scalar_cmp')
        self.log_transformed_sev_scalar_a_fib = kwargs.get('log_transformed_sev_scalar_a_fib')
        self.log_transformed_sev_scalar_aort_an = kwargs.get('log_transformed_sev_scalar_aort_an')
        self.log_transformed_sev_scalar_pvd = kwargs.get('log_transformed_sev_scalar_pvd')
        self.log_transformed_sev_scalar_endocar = kwargs.get('log_transformed_sev_scalar_endocar')
        self.log_transformed_sev_scalar_oth_cardio = kwargs.get('log_transformed_sev_scalar_oth_cardio')
        self.log_transformed_sev_scalar_copd = kwargs.get('log_transformed_sev_scalar_copd')
        self.log_transformed_sev_scalar_asthma = kwargs.get('log_transformed_sev_scalar_asthma')
        self.log_transformed_sev_scalar_ild = kwargs.get('log_transformed_sev_scalar_ild')
        self.log_transformed_sev_scalar_oth_resp = kwargs.get('log_transformed_sev_scalar_oth_resp')
        self.log_transformed_sev_scalar_cirr_hepb = kwargs.get('log_transformed_sev_scalar_cirr_hepb')
        self.log_transformed_sev_scalar_cirr_hepc = kwargs.get('log_transformed_sev_scalar_cirr_hepc')
        self.log_transformed_sev_scalar_pancreatit = kwargs.get('log_transformed_sev_scalar_pancreatit')
        self.log_transformed_sev_scalar_epilepsy = kwargs.get('log_transformed_sev_scalar_epilepsy')
        self.log_transformed_sev_scalar_depression = kwargs.get('log_transformed_sev_scalar_depression')
        self.log_transformed_sev_scalar_mdd = kwargs.get('log_transformed_sev_scalar_mdd')
        self.log_transformed_sev_scalar_id = kwargs.get('log_transformed_sev_scalar_id')
        self.log_transformed_sev_scalar_osteoarth = kwargs.get('log_transformed_sev_scalar_osteoarth')
        self.log_transformed_sev_scalar_back_and_upneck = kwargs.get('log_transformed_sev_scalar_back_and_upneck')
        self.log_transformed_sev_scalar_back_pain = kwargs.get('log_transformed_sev_scalar_back_pain')
        self.log_transformed_sev_scalar_gout = kwargs.get('log_transformed_sev_scalar_gout')
        self.log_transformed_sev_scalar_sense = kwargs.get('log_transformed_sev_scalar_sense')
        self.log_transformed_sev_scalar_cataract = kwargs.get('log_transformed_sev_scalar_cataract')
        self.log_transformed_sev_scalar_hearing = kwargs.get('log_transformed_sev_scalar_hearing')
        self.log_transformed_sev_scalar_road_inj = kwargs.get('log_transformed_sev_scalar_road_inj')
        self.log_transformed_sev_scalar_pedest = kwargs.get('log_transformed_sev_scalar_pedest')
        self.log_transformed_sev_scalar_cyclist = kwargs.get('log_transformed_sev_scalar_cyclist')
        self.log_transformed_sev_scalar_mot_cyc = kwargs.get('log_transformed_sev_scalar_mot_cyc')
        self.log_transformed_sev_scalar_mot_veh = kwargs.get('log_transformed_sev_scalar_mot_veh')
        self.log_transformed_sev_scalar_oth_road = kwargs.get('log_transformed_sev_scalar_oth_road')
        self.log_transformed_sev_scalar_oth_trans = kwargs.get('log_transformed_sev_scalar_oth_trans')
        self.log_transformed_sev_scalar_falls = kwargs.get('log_transformed_sev_scalar_falls')
        self.log_transformed_sev_scalar_drown = kwargs.get('log_transformed_sev_scalar_drown')
        self.log_transformed_sev_scalar_fire = kwargs.get('log_transformed_sev_scalar_fire')
        self.log_transformed_sev_scalar_poison = kwargs.get('log_transformed_sev_scalar_poison')
        self.log_transformed_sev_scalar_mech = kwargs.get('log_transformed_sev_scalar_mech')
        self.log_transformed_sev_scalar_mech_gun = kwargs.get('log_transformed_sev_scalar_mech_gun')
        self.log_transformed_sev_scalar_mech_suff = kwargs.get('log_transformed_sev_scalar_mech_suff')
        self.log_transformed_sev_scalar_oth_mech = kwargs.get('log_transformed_sev_scalar_oth_mech')
        self.log_transformed_sev_scalar_animal = kwargs.get('log_transformed_sev_scalar_animal')
        self.log_transformed_sev_scalar_venom = kwargs.get('log_transformed_sev_scalar_venom')
        self.log_transformed_sev_scalar_non_ven = kwargs.get('log_transformed_sev_scalar_non_ven')
        self.log_transformed_sev_scalar_f_body = kwargs.get('log_transformed_sev_scalar_f_body')
        self.log_transformed_sev_scalar_f_body_asp = kwargs.get('log_transformed_sev_scalar_f_body_asp')
        self.log_transformed_sev_scalar_oth_f_body = kwargs.get('log_transformed_sev_scalar_oth_f_body')
        self.log_transformed_sev_scalar_oth_unint = kwargs.get('log_transformed_sev_scalar_oth_unint')
        self.log_transformed_sev_scalar_self_harm = kwargs.get('log_transformed_sev_scalar_self_harm')
        self.log_transformed_sev_scalar_violence = kwargs.get('log_transformed_sev_scalar_violence')
        self.log_transformed_sev_scalar_viol_gun = kwargs.get('log_transformed_sev_scalar_viol_gun')
        self.log_transformed_sev_scalar_viol_knife = kwargs.get('log_transformed_sev_scalar_viol_knife')
        self.log_transformed_sev_scalar_oth_viol = kwargs.get('log_transformed_sev_scalar_oth_viol')
        self.log_transformed_age_standardized_sev_scalar_tb = kwargs.get('log_transformed_age_standardized_sev_scalar_tb')
        self.log_transformed_age_standardized_sev_scalar_oth_hiv = kwargs.get('log_transformed_age_standardized_sev_scalar_oth_hiv')
        self.log_transformed_age_standardized_sev_scalar_diarrhea = kwargs.get('log_transformed_age_standardized_sev_scalar_diarrhea')
        self.log_transformed_age_standardized_sev_scalar_lri = kwargs.get('log_transformed_age_standardized_sev_scalar_lri')
        self.log_transformed_age_standardized_sev_scalar_uri = kwargs.get('log_transformed_age_standardized_sev_scalar_uri')
        self.log_transformed_age_standardized_sev_scalar_otitis = kwargs.get('log_transformed_age_standardized_sev_scalar_otitis')
        self.log_transformed_age_standardized_sev_scalar_measles = kwargs.get('log_transformed_age_standardized_sev_scalar_measles')
        self.log_transformed_age_standardized_sev_scalar_mat_hem = kwargs.get('log_transformed_age_standardized_sev_scalar_mat_hem')
        self.log_transformed_age_standardized_sev_scalar_mat_sepsis = kwargs.get('log_transformed_age_standardized_sev_scalar_mat_sepsis')
        self.log_transformed_age_standardized_sev_scalar_mat_abort = kwargs.get('log_transformed_age_standardized_sev_scalar_mat_abort')
        self.log_transformed_age_standardized_sev_scalar_hep = kwargs.get('log_transformed_age_standardized_sev_scalar_hep')
        self.log_transformed_age_standardized_sev_scalar_hep_b = kwargs.get('log_transformed_age_standardized_sev_scalar_hep_b')
        self.log_transformed_age_standardized_sev_scalar_hep_c = kwargs.get('log_transformed_age_standardized_sev_scalar_hep_c')
        self.log_transformed_age_standardized_sev_scalar_esophag_c = kwargs.get('log_transformed_age_standardized_sev_scalar_esophag_c')
        self.log_transformed_age_standardized_sev_scalar_stomach_c = kwargs.get('log_transformed_age_standardized_sev_scalar_stomach_c')
        self.log_transformed_age_standardized_sev_scalar_liver_c = kwargs.get('log_transformed_age_standardized_sev_scalar_liver_c')
        self.log_transformed_age_standardized_sev_scalar_liver_c_hepb = kwargs.get('log_transformed_age_standardized_sev_scalar_liver_c_hepb')
        self.log_transformed_age_standardized_sev_scalar_liver_c_hepc = kwargs.get('log_transformed_age_standardized_sev_scalar_liver_c_hepc')
        self.log_transformed_age_standardized_sev_scalar_oth_liver_c = kwargs.get('log_transformed_age_standardized_sev_scalar_oth_liver_c')
        self.log_transformed_age_standardized_sev_scalar_larynx_c = kwargs.get('log_transformed_age_standardized_sev_scalar_larynx_c')
        self.log_transformed_age_standardized_sev_scalar_lung_c = kwargs.get('log_transformed_age_standardized_sev_scalar_lung_c')
        self.log_transformed_age_standardized_sev_scalar_breast_c = kwargs.get('log_transformed_age_standardized_sev_scalar_breast_c')
        self.log_transformed_age_standardized_sev_scalar_uterus_c = kwargs.get('log_transformed_age_standardized_sev_scalar_uterus_c')
        self.log_transformed_age_standardized_sev_scalar_prostate_c = kwargs.get('log_transformed_age_standardized_sev_scalar_prostate_c')
        self.log_transformed_age_standardized_sev_scalar_colorect_c = kwargs.get('log_transformed_age_standardized_sev_scalar_colorect_c')
        self.log_transformed_age_standardized_sev_scalar_mouth_c = kwargs.get('log_transformed_age_standardized_sev_scalar_mouth_c')
        self.log_transformed_age_standardized_sev_scalar_nasoph_c = kwargs.get('log_transformed_age_standardized_sev_scalar_nasoph_c')
        self.log_transformed_age_standardized_sev_scalar_oth_phar_c = kwargs.get('log_transformed_age_standardized_sev_scalar_oth_phar_c')
        self.log_transformed_age_standardized_sev_scalar_gallblad_c = kwargs.get('log_transformed_age_standardized_sev_scalar_gallblad_c')
        self.log_transformed_age_standardized_sev_scalar_pancreas_c = kwargs.get('log_transformed_age_standardized_sev_scalar_pancreas_c')
        self.log_transformed_age_standardized_sev_scalar_ovary_c = kwargs.get('log_transformed_age_standardized_sev_scalar_ovary_c')
        self.log_transformed_age_standardized_sev_scalar_kidney_c = kwargs.get('log_transformed_age_standardized_sev_scalar_kidney_c')
        self.log_transformed_age_standardized_sev_scalar_bladder_c = kwargs.get('log_transformed_age_standardized_sev_scalar_bladder_c')
        self.log_transformed_age_standardized_sev_scalar_thyroid_c = kwargs.get('log_transformed_age_standardized_sev_scalar_thyroid_c')
        self.log_transformed_age_standardized_sev_scalar_mesothel = kwargs.get('log_transformed_age_standardized_sev_scalar_mesothel')
        self.log_transformed_age_standardized_sev_scalar_leukemia = kwargs.get('log_transformed_age_standardized_sev_scalar_leukemia')
        self.log_transformed_age_standardized_sev_scalar_rhd = kwargs.get('log_transformed_age_standardized_sev_scalar_rhd')
        self.log_transformed_age_standardized_sev_scalar_ihd = kwargs.get('log_transformed_age_standardized_sev_scalar_ihd')
        self.log_transformed_age_standardized_sev_scalar_stroke = kwargs.get('log_transformed_age_standardized_sev_scalar_stroke')
        self.log_transformed_age_standardized_sev_scalar_isch_stroke = kwargs.get('log_transformed_age_standardized_sev_scalar_isch_stroke')
        self.log_transformed_age_standardized_sev_scalar_hem_stroke = kwargs.get('log_transformed_age_standardized_sev_scalar_hem_stroke')
        self.log_transformed_age_standardized_sev_scalar_cmp = kwargs.get('log_transformed_age_standardized_sev_scalar_cmp')
        self.log_transformed_age_standardized_sev_scalar_a_fib = kwargs.get('log_transformed_age_standardized_sev_scalar_a_fib')
        self.log_transformed_age_standardized_sev_scalar_aort_an = kwargs.get('log_transformed_age_standardized_sev_scalar_aort_an')
        self.log_transformed_age_standardized_sev_scalar_pvd = kwargs.get('log_transformed_age_standardized_sev_scalar_pvd')
        self.log_transformed_age_standardized_sev_scalar_endocar = kwargs.get('log_transformed_age_standardized_sev_scalar_endocar')
        self.log_transformed_age_standardized_sev_scalar_oth_cardio = kwargs.get('log_transformed_age_standardized_sev_scalar_oth_cardio')
        self.log_transformed_age_standardized_sev_scalar_copd = kwargs.get('log_transformed_age_standardized_sev_scalar_copd')
        self.log_transformed_age_standardized_sev_scalar_asthma = kwargs.get('log_transformed_age_standardized_sev_scalar_asthma')
        self.log_transformed_age_standardized_sev_scalar_oth_resp = kwargs.get('log_transformed_age_standardized_sev_scalar_oth_resp')
        self.log_transformed_age_standardized_sev_scalar_cirr_hepb = kwargs.get('log_transformed_age_standardized_sev_scalar_cirr_hepb')
        self.log_transformed_age_standardized_sev_scalar_cirr_hepc = kwargs.get('log_transformed_age_standardized_sev_scalar_cirr_hepc')
        self.log_transformed_age_standardized_sev_scalar_pancreatit = kwargs.get('log_transformed_age_standardized_sev_scalar_pancreatit')
        self.log_transformed_age_standardized_sev_scalar_epilepsy = kwargs.get('log_transformed_age_standardized_sev_scalar_epilepsy')
        self.log_transformed_age_standardized_sev_scalar_depression = kwargs.get('log_transformed_age_standardized_sev_scalar_depression')
        self.log_transformed_age_standardized_sev_scalar_mdd = kwargs.get('log_transformed_age_standardized_sev_scalar_mdd')
        self.log_transformed_age_standardized_sev_scalar_id = kwargs.get('log_transformed_age_standardized_sev_scalar_id')
        self.log_transformed_age_standardized_sev_scalar_osteoarth = kwargs.get('log_transformed_age_standardized_sev_scalar_osteoarth')
        self.log_transformed_age_standardized_sev_scalar_back_and_upneck = kwargs.get('log_transformed_age_standardized_sev_scalar_back_and_upneck')
        self.log_transformed_age_standardized_sev_scalar_back_pain = kwargs.get('log_transformed_age_standardized_sev_scalar_back_pain')
        self.log_transformed_age_standardized_sev_scalar_gout = kwargs.get('log_transformed_age_standardized_sev_scalar_gout')
        self.log_transformed_age_standardized_sev_scalar_sense = kwargs.get('log_transformed_age_standardized_sev_scalar_sense')
        self.log_transformed_age_standardized_sev_scalar_cataract = kwargs.get('log_transformed_age_standardized_sev_scalar_cataract')
        self.log_transformed_age_standardized_sev_scalar_hearing = kwargs.get('log_transformed_age_standardized_sev_scalar_hearing')
        self.log_transformed_age_standardized_sev_scalar_road_inj = kwargs.get('log_transformed_age_standardized_sev_scalar_road_inj')
        self.log_transformed_age_standardized_sev_scalar_pedest = kwargs.get('log_transformed_age_standardized_sev_scalar_pedest')
        self.log_transformed_age_standardized_sev_scalar_cyclist = kwargs.get('log_transformed_age_standardized_sev_scalar_cyclist')
        self.log_transformed_age_standardized_sev_scalar_mot_cyc = kwargs.get('log_transformed_age_standardized_sev_scalar_mot_cyc')
        self.log_transformed_age_standardized_sev_scalar_mot_veh = kwargs.get('log_transformed_age_standardized_sev_scalar_mot_veh')
        self.log_transformed_age_standardized_sev_scalar_oth_road = kwargs.get('log_transformed_age_standardized_sev_scalar_oth_road')
        self.log_transformed_age_standardized_sev_scalar_oth_trans = kwargs.get('log_transformed_age_standardized_sev_scalar_oth_trans')
        self.log_transformed_age_standardized_sev_scalar_falls = kwargs.get('log_transformed_age_standardized_sev_scalar_falls')
        self.log_transformed_age_standardized_sev_scalar_drown = kwargs.get('log_transformed_age_standardized_sev_scalar_drown')
        self.log_transformed_age_standardized_sev_scalar_fire = kwargs.get('log_transformed_age_standardized_sev_scalar_fire')
        self.log_transformed_age_standardized_sev_scalar_poison = kwargs.get('log_transformed_age_standardized_sev_scalar_poison')
        self.log_transformed_age_standardized_sev_scalar_mech = kwargs.get('log_transformed_age_standardized_sev_scalar_mech')
        self.log_transformed_age_standardized_sev_scalar_mech_gun = kwargs.get('log_transformed_age_standardized_sev_scalar_mech_gun')
        self.log_transformed_age_standardized_sev_scalar_mech_suff = kwargs.get('log_transformed_age_standardized_sev_scalar_mech_suff')
        self.log_transformed_age_standardized_sev_scalar_oth_mech = kwargs.get('log_transformed_age_standardized_sev_scalar_oth_mech')
        self.log_transformed_age_standardized_sev_scalar_animal = kwargs.get('log_transformed_age_standardized_sev_scalar_animal')
        self.log_transformed_age_standardized_sev_scalar_venom = kwargs.get('log_transformed_age_standardized_sev_scalar_venom')
        self.log_transformed_age_standardized_sev_scalar_non_ven = kwargs.get('log_transformed_age_standardized_sev_scalar_non_ven')
        self.log_transformed_age_standardized_sev_scalar_f_body = kwargs.get('log_transformed_age_standardized_sev_scalar_f_body')
        self.log_transformed_age_standardized_sev_scalar_f_body_asp = kwargs.get('log_transformed_age_standardized_sev_scalar_f_body_asp')
        self.log_transformed_age_standardized_sev_scalar_oth_f_body = kwargs.get('log_transformed_age_standardized_sev_scalar_oth_f_body')
        self.log_transformed_age_standardized_sev_scalar_oth_unint = kwargs.get('log_transformed_age_standardized_sev_scalar_oth_unint')
        self.log_transformed_age_standardized_sev_scalar_self_harm = kwargs.get('log_transformed_age_standardized_sev_scalar_self_harm')
        self.log_transformed_age_standardized_sev_scalar_violence = kwargs.get('log_transformed_age_standardized_sev_scalar_violence')
        self.log_transformed_age_standardized_sev_scalar_viol_gun = kwargs.get('log_transformed_age_standardized_sev_scalar_viol_gun')
        self.log_transformed_age_standardized_sev_scalar_viol_knife = kwargs.get('log_transformed_age_standardized_sev_scalar_viol_knife')
        self.log_transformed_age_standardized_sev_scalar_oth_viol = kwargs.get('log_transformed_age_standardized_sev_scalar_oth_viol')
        self.education_age_standardized = kwargs.get('education_age_standardized')
        self.meningitis_belt_proportion = kwargs.get('meningitis_belt_proportion')
        self.gdp_per_capita_base_2010 = kwargs.get('gdp_per_capita_base_2010')
        self.urbanicity = kwargs.get('urbanicity')
        self.sev_unsafe_water = kwargs.get('sev_unsafe_water')
        self.sev_unsafe_sanitation = kwargs.get('sev_unsafe_sanitation')
        self.malaria_incidence_from_map_estimates_africa = kwargs.get('malaria_incidence_from_map_estimates_africa')
        self.dengue_reporting_trends_transformed_into_relative_risks_relative_to_that_countrys_mean_incidence = kwargs.get('dengue_reporting_trends_transformed_into_relative_risks_relative_to_that_countrys_mean_incidence')
        self.echinococcosis_endemicity = kwargs.get('echinococcosis_endemicity')
        self.socio_demographic_index = kwargs.get('socio_demographic_index')
        self.japanese_encelphalitis_endemic_area_binary = kwargs.get('japanese_encelphalitis_endemic_area_binary')
        self.calcium_adjusted_g = kwargs.get('calcium_adjusted_g')
        self.calcium_unadjusted_g = kwargs.get('calcium_unadjusted_g')
        self.fiber_adjusted_g = kwargs.get('fiber_adjusted_g')
        self.fiber_unadjusted_g = kwargs.get('fiber_unadjusted_g')
        self.omega_3_adjusted_g = kwargs.get('omega_3_adjusted_g')
        self.fruits_adjusted_g = kwargs.get('fruits_adjusted_g')
        self.fruits_unadjusted_g = kwargs.get('fruits_unadjusted_g')
        self.milk_adjusted_g = kwargs.get('milk_adjusted_g')
        self.milk_unadjusted_g = kwargs.get('milk_unadjusted_g')
        self.nuts_seeds_adjusted_g = kwargs.get('nuts_seeds_adjusted_g')
        self.pufa_adjusted_percent = kwargs.get('pufa_adjusted_percent')
        self.pulses_legumes_adjusted_g = kwargs.get('pulses_legumes_adjusted_g')
        self.red_meats_adjusted_g = kwargs.get('red_meats_adjusted_g')
        self.red_meats_unadjusted_g = kwargs.get('red_meats_unadjusted_g')
        self.saturated_fats_adjusted_percent = kwargs.get('saturated_fats_adjusted_percent')
        self.sugar_adjusted_g = kwargs.get('sugar_adjusted_g')
        self.sugar_unadjusted_g = kwargs.get('sugar_unadjusted_g')
        self.vegetables_adjusted_g = kwargs.get('vegetables_adjusted_g')
        self.vegetables_unadjusted_g = kwargs.get('vegetables_unadjusted_g')
        self.energy_unadjusted_kcal = kwargs.get('energy_unadjusted_kcal')
        self.interaction_of_prevalence_weighted_drug_resistance_and_malaria_incidence = kwargs.get('interaction_of_prevalence_weighted_drug_resistance_and_malaria_incidence')
        self.hiv_mortality_females_10_54 = kwargs.get('hiv_mortality_females_10_54')
        self.hiv_age_standardized_prevalence = kwargs.get('hiv_age_standardized_prevalence')
        self.log_transformed_age_standardized_sev_scalar_maternal = kwargs.get('log_transformed_age_standardized_sev_scalar_maternal')
        self.log_transformed_age_standardized_sev_scalar_cvd = kwargs.get('log_transformed_age_standardized_sev_scalar_cvd')
        self.log_transformed_age_standardized_sev_scalar_chr_resp = kwargs.get('log_transformed_age_standardized_sev_scalar_chr_resp')
        self.log_transformed_age_standardized_sev_scalar_cirrhosis = kwargs.get('log_transformed_age_standardized_sev_scalar_cirrhosis')
        self.log_transformed_age_standardized_sev_scalar_digestive = kwargs.get('log_transformed_age_standardized_sev_scalar_digestive')
        self.log_transformed_age_standardized_sev_scalar_msk = kwargs.get('log_transformed_age_standardized_sev_scalar_msk')
        self.log_transformed_age_standardized_sev_scalar_trans_inj = kwargs.get('log_transformed_age_standardized_sev_scalar_trans_inj')
        self.log_transformed_sev_scalar_maternal = kwargs.get('log_transformed_sev_scalar_maternal')
        self.log_transformed_sev_scalar_cvd = kwargs.get('log_transformed_sev_scalar_cvd')
        self.log_transformed_sev_scalar_chr_resp = kwargs.get('log_transformed_sev_scalar_chr_resp')
        self.log_transformed_sev_scalar_cirrhosis = kwargs.get('log_transformed_sev_scalar_cirrhosis')
        self.log_transformed_sev_scalar_digestive = kwargs.get('log_transformed_sev_scalar_digestive')
        self.log_transformed_sev_scalar_msk = kwargs.get('log_transformed_sev_scalar_msk')
        self.log_transformed_sev_scalar_trans_inj = kwargs.get('log_transformed_sev_scalar_trans_inj')
        self.vitamin_a_unadjusted_iu = kwargs.get('vitamin_a_unadjusted_iu')
        self.vitamin_a_rae_unadjusted_ug = kwargs.get('vitamin_a_rae_unadjusted_ug')
        self.vitamin_a_retinol_unadjusted_ug = kwargs.get('vitamin_a_retinol_unadjusted_ug')
        self.dietary_zinc_unadjusted_mg = kwargs.get('dietary_zinc_unadjusted_mg')
        self.proportion_of_total_population_covered_by_menafrivac_initiative_meningitis_meningococcal_type_a_vaccine = kwargs.get('proportion_of_total_population_covered_by_menafrivac_initiative_meningitis_meningococcal_type_a_vaccine')
        self.stunting_proportion_less_than_2sd_height_for_age_less_than_5_years = kwargs.get('stunting_proportion_less_than_2sd_height_for_age_less_than_5_years')
        self.wasting_proportion_less_than_2sd_weight_for_height_less_than_5_years = kwargs.get('wasting_proportion_less_than_2sd_weight_for_height_less_than_5_years')
        self.malnutrition_childhood_underweight_proportion_less_than_2sd_weight_for_age = kwargs.get('malnutrition_childhood_underweight_proportion_less_than_2sd_weight_for_age')
        self.malaria_incidence_adjusted_for_antimalarial_coverage_and_drug_effectiveness = kwargs.get('malaria_incidence_adjusted_for_antimalarial_coverage_and_drug_effectiveness')
        self.hepatitis_b_hbsag_seroprevalence = kwargs.get('hepatitis_b_hbsag_seroprevalence')
        self.hepatitis_c_igg_seroprevalence = kwargs.get('hepatitis_c_igg_seroprevalence')
        self.rotavirus_coverage_proportion = kwargs.get('rotavirus_coverage_proportion')
        self.proportion_of_cirrhosis_due_to_alcohol = kwargs.get('proportion_of_cirrhosis_due_to_alcohol')
        self.proportion_of_cirrhosis_due_to_hepatitis_b = kwargs.get('proportion_of_cirrhosis_due_to_hepatitis_b')
        self.proportion_of_cirrhosis_due_to_hepatitis_c = kwargs.get('proportion_of_cirrhosis_due_to_hepatitis_c')
        self.proportion_of_cirrhosis_due_to_other_causes = kwargs.get('proportion_of_cirrhosis_due_to_other_causes')
        self.proportion_of_liver_cancer_due_to_alcohol_age_standardized = kwargs.get('proportion_of_liver_cancer_due_to_alcohol_age_standardized')
        self.proportion_of_liver_cancer_due_to_hepatitis_b_age_standardized = kwargs.get('proportion_of_liver_cancer_due_to_hepatitis_b_age_standardized')
        self.proportion_of_liver_cancer_due_to_hepatitis_c_age_standardized = kwargs.get('proportion_of_liver_cancer_due_to_hepatitis_c_age_standardized')
        self.proportion_of_liver_cancer_due_to_other_causes_age_standardized = kwargs.get('proportion_of_liver_cancer_due_to_other_causes_age_standardized')
        self.seroprevalence_of_anti_hav_igg = kwargs.get('seroprevalence_of_anti_hav_igg')
        self.seroprevalence_of_anti_hev_igg = kwargs.get('seroprevalence_of_anti_hev_igg')
        self.major_depressive_disorder = kwargs.get('major_depressive_disorder')
        self.health_expenditure_per_capita = kwargs.get('health_expenditure_per_capita')
        self.risk_of_selfharm_due_to_major_depressive_disorder = kwargs.get('risk_of_selfharm_due_to_major_depressive_disorder')
        self.fraction_of_oop_health_expenditure = kwargs.get('fraction_of_oop_health_expenditure')
        self.universal_health_coverage = kwargs.get('universal_health_coverage')
        self.maternal_alcohol_consumption_during_pregnancy_proportion = kwargs.get('maternal_alcohol_consumption_during_pregnancy_proportion')
        self.healthcare_access_and_quality_index = kwargs.get('healthcare_access_and_quality_index')
        self.age_standardized_proportion_adult_underweight = kwargs.get('age_standardized_proportion_adult_underweight')
        self.ors_oral_rehydration = kwargs.get('ors_oral_rehydration')
        self.antibiotics_for_lri = kwargs.get('antibiotics_for_lri')
        self.live_births_by_sex = kwargs.get('live_births_by_sex')
        self.age_standardized_melanoma = kwargs.get('age_standardized_melanoma')
        self.measles_vaccine_coverage_2_doses_proportion = kwargs.get('measles_vaccine_coverage_2_doses_proportion')
        self.schisto_cumulative_treatments = kwargs.get('schisto_cumulative_treatments')
        self.iron_energy_unadjusted_mg = kwargs.get('iron_energy_unadjusted_mg')
        self.poultry_energy_unadjusted_g = kwargs.get('poultry_energy_unadjusted_g')
        self.malaria_pfpr_map = kwargs.get('malaria_pfpr_map')
        self.malaria_incidence_map = kwargs.get('malaria_incidence_map')
        self.antimalarial_effective_treatment_ratio_map = kwargs.get('antimalarial_effective_treatment_ratio_map')
        self.antimalarial_effective_treatment_map = kwargs.get('antimalarial_effective_treatment_map')
        self.mean_birth_weight = kwargs.get('mean_birth_weight')
        self.mean_hemoglobin_concentration_age_standardized = kwargs.get('mean_hemoglobin_concentration_age_standardized')
        self.age_standardized_prevalence_of_cocaine_dependence_in_women_of_reproductive_age = kwargs.get('age_standardized_prevalence_of_cocaine_dependence_in_women_of_reproductive_age')
        self.age_standardized_prevalence_of_opioid_dependence_in_women_of_reproductive_age = kwargs.get('age_standardized_prevalence_of_opioid_dependence_in_women_of_reproductive_age')
        self.age_standardized_prevalence_of_cannabis_dependence_in_women_of_reproductive_age = kwargs.get('age_standardized_prevalence_of_cannabis_dependence_in_women_of_reproductive_age')
        self.rubella_vaccine_coverage_proportion = kwargs.get('rubella_vaccine_coverage_proportion')
        self.tuberculosis_infection_risk_weighted_prevalence_age_standardized = kwargs.get('tuberculosis_infection_risk_weighted_prevalence_age_standardized')
        self.ten_year_lag_distributed_energy_per_capita = kwargs.get('ten_year_lag_distributed_energy_per_capita')
        self.folic_acid_unadjusted_ug = kwargs.get('folic_acid_unadjusted_ug')
        self.smooth_outphase_of_leaded_gasoline = kwargs.get('smooth_outphase_of_leaded_gasoline')
        self.lead_exposure = kwargs.get('lead_exposure')
        self.discontinued_breastfeeding_sev = kwargs.get('discontinued_breastfeeding_sev')
        self.zinc_deficiency = kwargs.get('zinc_deficiency')
        self.diet_high_in_trans_fatty_acids = kwargs.get('diet_high_in_trans_fatty_acids')
        self.diet_high_in_sodium = kwargs.get('diet_high_in_sodium')
        self.tuberculosis_prevalence_age_standardized = kwargs.get('tuberculosis_prevalence_age_standardized')
        self.low_bone_mineral_density = kwargs.get('low_bone_mineral_density')
        self.age_standardized_bone_mineral_density_among_population_age_60_and_up_years = kwargs.get('age_standardized_bone_mineral_density_among_population_age_60_and_up_years')
        self.malnutrition_shock_log_transformed_mortality_rate = kwargs.get('malnutrition_shock_log_transformed_mortality_rate')
        self.malnutrition_shock_mortality_rate = kwargs.get('malnutrition_shock_mortality_rate')
        self.mean_war_mortality_rate_in_the_previous_ten_years = kwargs.get('mean_war_mortality_rate_in_the_previous_ten_years')
        self.alcohol_abstainer_proportion_age_standardized = kwargs.get('alcohol_abstainer_proportion_age_standardized')
        self.log_transformed_age_standardized_sev_scalar_for_both_sexes_combined_tb = kwargs.get('log_transformed_age_standardized_sev_scalar_for_both_sexes_combined_tb')
        self.secondhand_smoke = kwargs.get('secondhand_smoke')
        self.visceral_leishmaniasis_incidence = kwargs.get('visceral_leishmaniasis_incidence')
        self.homicide_rate_sex_specific = kwargs.get('homicide_rate_sex_specific')
        self.non_partner_lifetime_prevalence_of_sexual_violence_female_only = kwargs.get('non_partner_lifetime_prevalence_of_sexual_violence_female_only')
        self.all_age_underweight = kwargs.get('all_age_underweight')
        self.zinc_treatment_for_diarrhea = kwargs.get('zinc_treatment_for_diarrhea')
        self.fortification_standard = kwargs.get('fortification_standard')
        self.fortification_standard_including_folic_acid = kwargs.get('fortification_standard_including_folic_acid')
        self.adult_hiv_crude_death_rate = kwargs.get('adult_hiv_crude_death_rate')
        self.polio_3_dose_coverage_proportion = kwargs.get('polio_3_dose_coverage_proportion')
        self.hepatitis_b_3_dose_coverage_proportion = kwargs.get('hepatitis_b_3_dose_coverage_proportion')
        self.composite_fortification_standard_and_folic_acid_inclusion = kwargs.get('composite_fortification_standard_and_folic_acid_inclusion')
        self.intravenous_drug_use_age_standardized_proportion = kwargs.get('intravenous_drug_use_age_standardized_proportion')
        self.alcohol_consumption_age_standardized_in_grams_per_day = kwargs.get('alcohol_consumption_age_standardized_in_grams_per_day')
        self.alcohol_drinker_proportion_age_standardized = kwargs.get('alcohol_drinker_proportion_age_standardized')
        self.proportion_of_liver_cancer_due_to_nash_age_standardized = kwargs.get('proportion_of_liver_cancer_due_to_nash_age_standardized')
        self.proportion_of_cirrhosis_due_to_nash = kwargs.get('proportion_of_cirrhosis_due_to_nash')
        self.muslim_religion_proportion_of_population = kwargs.get('muslim_religion_proportion_of_population')
        self.tb_strain_prevalence_weighted_transmission_rr = kwargs.get('tb_strain_prevalence_weighted_transmission_rr')
        self.short_gestation_sev_all_ages_by_sex = kwargs.get('short_gestation_sev_all_ages_by_sex')
        self.age_and_sex_specific_underweight_weight_for_age_sev = kwargs.get('age_and_sex_specific_underweight_weight_for_age_sev')
        self.age_standardized_underweight_weight_for_age_sev = kwargs.get('age_standardized_underweight_weight_for_age_sev')
        self.age_and_sex_specific_stunting_height_for_age_sev = kwargs.get('age_and_sex_specific_stunting_height_for_age_sev')
        self.age_standardized_stunting_height_for_age_sev = kwargs.get('age_standardized_stunting_height_for_age_sev')
        self.age_and_sex_specific_wasting_weight_for_height_sev = kwargs.get('age_and_sex_specific_wasting_weight_for_height_sev')
        self.age_standardized_wasting_weight_for_height_sev = kwargs.get('age_standardized_wasting_weight_for_height_sev')
        self.low_birth_weight_sev_all_ages_by_sex = kwargs.get('low_birth_weight_sev_all_ages_by_sex')
        self.adult_hiv_death_rate_both_sexes = kwargs.get('adult_hiv_death_rate_both_sexes')
        self.fortification_standard_including_iron = kwargs.get('fortification_standard_including_iron')
        self.composite_fortification_standard_and_iron_inclusion = kwargs.get('composite_fortification_standard_and_iron_inclusion')
        self.pelvic_inflammatory_disease_age_standardized_prevalence = kwargs.get('pelvic_inflammatory_disease_age_standardized_prevalence')
        self.pelvic_inflammatory_disease_all_age_prevalence = kwargs.get('pelvic_inflammatory_disease_all_age_prevalence')
        self.nafld_nash_prevalence = kwargs.get('nafld_nash_prevalence')
        self.hepatitis_b_3_dose_coverage_proportion_lagged_5_years = kwargs.get('hepatitis_b_3_dose_coverage_proportion_lagged_5_years')
        self.hepatitis_b_3_dose_coverage_proportion_lagged_ten_years = kwargs.get('hepatitis_b_3_dose_coverage_proportion_lagged_ten_years')
        self.interaction_between_sdi_and_2_and_up4_wheeled_vehicles_per_capita = kwargs.get('interaction_between_sdi_and_2_and_up4_wheeled_vehicles_per_capita')
        self.age_standardized_death_rate_of_diabetes_0_15_years_per_100_000 = kwargs.get('age_standardized_death_rate_of_diabetes_0_15_years_per_100_000')
        self.alcohol_sev_age_and_sex_specific = kwargs.get('alcohol_sev_age_and_sex_specific')
        self.alcohol_sev_age_standardized = kwargs.get('alcohol_sev_age_standardized')
        self.underweight_women_of_reproductive_age = kwargs.get('underweight_women_of_reproductive_age')
        self.underweight_women_age_specific = kwargs.get('underweight_women_age_specific')
        self.opioids_per_million_population_per_day = kwargs.get('opioids_per_million_population_per_day')
        self.log_transformed_sev_scalar_tb_other = kwargs.get('log_transformed_sev_scalar_tb_other')
        self.log_transformed_sev_scalar_tb_mdr = kwargs.get('log_transformed_sev_scalar_tb_mdr')
        self.log_transformed_sev_scalar_hiv = kwargs.get('log_transformed_sev_scalar_hiv')
        self.log_transformed_sev_scalar_hiv_tb_other = kwargs.get('log_transformed_sev_scalar_hiv_tb_other')
        self.log_transformed_sev_scalar_hiv_tb_mdr = kwargs.get('log_transformed_sev_scalar_hiv_tb_mdr')
        self.log_transformed_sev_scalar_meningitis_pneumo = kwargs.get('log_transformed_sev_scalar_meningitis_pneumo')
        self.log_transformed_sev_scalar_meningitis_hib = kwargs.get('log_transformed_sev_scalar_meningitis_hib')
        self.log_transformed_sev_scalar_meningitis_meningo = kwargs.get('log_transformed_sev_scalar_meningitis_meningo')
        self.log_transformed_sev_scalar_meningitis_other = kwargs.get('log_transformed_sev_scalar_meningitis_other')
        self.log_transformed_sev_scalar_encephalitis = kwargs.get('log_transformed_sev_scalar_encephalitis')
        self.log_transformed_sev_scalar_neonatal_enceph = kwargs.get('log_transformed_sev_scalar_neonatal_enceph')
        self.log_transformed_sev_scalar_neonatal_sepsis = kwargs.get('log_transformed_sev_scalar_neonatal_sepsis')
        self.log_transformed_sev_scalar_neonatal_hemolytic = kwargs.get('log_transformed_sev_scalar_neonatal_hemolytic')
        self.log_transformed_sev_scalar_neonatal_other = kwargs.get('log_transformed_sev_scalar_neonatal_other')
        self.log_transformed_sev_scalar_neo_lymphoma = kwargs.get('log_transformed_sev_scalar_neo_lymphoma')
        self.log_transformed_sev_scalar_neo_myeloma = kwargs.get('log_transformed_sev_scalar_neo_myeloma')
        self.log_transformed_sev_scalar_neo_leukemia_ll_acute = kwargs.get('log_transformed_sev_scalar_neo_leukemia_ll_acute')
        self.log_transformed_sev_scalar_neo_leukemia_ll_chronic = kwargs.get('log_transformed_sev_scalar_neo_leukemia_ll_chronic')
        self.log_transformed_sev_scalar_neo_leukemia_ml_acute = kwargs.get('log_transformed_sev_scalar_neo_leukemia_ml_acute')
        self.log_transformed_sev_scalar_neo_leukemia_ml_chronic = kwargs.get('log_transformed_sev_scalar_neo_leukemia_ml_chronic')
        self.log_transformed_sev_scalar_neo_leukemia_other = kwargs.get('log_transformed_sev_scalar_neo_leukemia_other')
        self.log_transformed_sev_scalar_cvd_cmp_other = kwargs.get('log_transformed_sev_scalar_cvd_cmp_other')
        self.log_transformed_sev_scalar_digest_pud = kwargs.get('log_transformed_sev_scalar_digest_pud')
        self.log_transformed_sev_scalar_digest_bile = kwargs.get('log_transformed_sev_scalar_digest_bile')
        self.log_transformed_sev_scalar_neuro_dementia = kwargs.get('log_transformed_sev_scalar_neuro_dementia')
        self.log_transformed_sev_scalar_neuro_ms = kwargs.get('log_transformed_sev_scalar_neuro_ms')
        self.log_transformed_sev_scalar_msk_rheumarthritis = kwargs.get('log_transformed_sev_scalar_msk_rheumarthritis')
        self.log_transformed_sev_scalar_sense_glaucoma = kwargs.get('log_transformed_sev_scalar_sense_glaucoma')
        self.log_transformed_sev_scalar_sense_macular = kwargs.get('log_transformed_sev_scalar_sense_macular')
        self.log_transformed_sev_scalar_inj_suicide_firearm = kwargs.get('log_transformed_sev_scalar_inj_suicide_firearm')
        self.log_transformed_sev_scalar_inj_suicide_other = kwargs.get('log_transformed_sev_scalar_inj_suicide_other')
        self.log_transformed_age_standardized_sev_scalar_tb_other = kwargs.get('log_transformed_age_standardized_sev_scalar_tb_other')
        self.log_transformed_age_standardized_sev_scalar_tb_mdr = kwargs.get('log_transformed_age_standardized_sev_scalar_tb_mdr')
        self.log_transformed_age_standardized_sev_scalar_hiv = kwargs.get('log_transformed_age_standardized_sev_scalar_hiv')
        self.log_transformed_age_standardized_sev_scalar_hiv_tb_other = kwargs.get('log_transformed_age_standardized_sev_scalar_hiv_tb_other')
        self.log_transformed_age_standardized_sev_scalar_hiv_tb_mdr = kwargs.get('log_transformed_age_standardized_sev_scalar_hiv_tb_mdr')
        self.log_transformed_age_standardized_sev_scalar_meningitis = kwargs.get('log_transformed_age_standardized_sev_scalar_meningitis')
        self.log_transformed_age_standardized_sev_scalar_meningitis_pneumo = kwargs.get('log_transformed_age_standardized_sev_scalar_meningitis_pneumo')
        self.log_transformed_age_standardized_sev_scalar_meningitis_hib = kwargs.get('log_transformed_age_standardized_sev_scalar_meningitis_hib')
        self.log_transformed_age_standardized_sev_scalar_meningitis_meningo = kwargs.get('log_transformed_age_standardized_sev_scalar_meningitis_meningo')
        self.log_transformed_age_standardized_sev_scalar_meningitis_other = kwargs.get('log_transformed_age_standardized_sev_scalar_meningitis_other')
        self.log_transformed_age_standardized_sev_scalar_encephalitis = kwargs.get('log_transformed_age_standardized_sev_scalar_encephalitis')
        self.log_transformed_age_standardized_sev_scalar_neonatal_enceph = kwargs.get('log_transformed_age_standardized_sev_scalar_neonatal_enceph')
        self.log_transformed_age_standardized_sev_scalar_neonatal_sepsis = kwargs.get('log_transformed_age_standardized_sev_scalar_neonatal_sepsis')
        self.log_transformed_age_standardized_sev_scalar_neonatal_hemolytic = kwargs.get('log_transformed_age_standardized_sev_scalar_neonatal_hemolytic')
        self.log_transformed_age_standardized_sev_scalar_neonatal_other = kwargs.get('log_transformed_age_standardized_sev_scalar_neonatal_other')
        self.log_transformed_age_standardized_sev_scalar_neo_lymphoma = kwargs.get('log_transformed_age_standardized_sev_scalar_neo_lymphoma')
        self.log_transformed_age_standardized_sev_scalar_neo_myeloma = kwargs.get('log_transformed_age_standardized_sev_scalar_neo_myeloma')
        self.log_transformed_age_standardized_sev_scalar_neo_leukemia_ll_acute = kwargs.get('log_transformed_age_standardized_sev_scalar_neo_leukemia_ll_acute')
        self.log_transformed_age_standardized_sev_scalar_neo_leukemia_ll_chronic = kwargs.get('log_transformed_age_standardized_sev_scalar_neo_leukemia_ll_chronic')
        self.log_transformed_age_standardized_sev_scalar_neo_leukemia_ml_acute = kwargs.get('log_transformed_age_standardized_sev_scalar_neo_leukemia_ml_acute')
        self.log_transformed_age_standardized_sev_scalar_neo_leukemia_ml_chronic = kwargs.get('log_transformed_age_standardized_sev_scalar_neo_leukemia_ml_chronic')
        self.log_transformed_age_standardized_sev_scalar_neo_leukemia_other = kwargs.get('log_transformed_age_standardized_sev_scalar_neo_leukemia_other')
        self.log_transformed_age_standardized_sev_scalar_cvd_cmp_other = kwargs.get('log_transformed_age_standardized_sev_scalar_cvd_cmp_other')
        self.log_transformed_age_standardized_sev_scalar_digest_pud = kwargs.get('log_transformed_age_standardized_sev_scalar_digest_pud')
        self.log_transformed_age_standardized_sev_scalar_digest_bile = kwargs.get('log_transformed_age_standardized_sev_scalar_digest_bile')
        self.log_transformed_age_standardized_sev_scalar_neuro_dementia = kwargs.get('log_transformed_age_standardized_sev_scalar_neuro_dementia')
        self.log_transformed_age_standardized_sev_scalar_neuro_ms = kwargs.get('log_transformed_age_standardized_sev_scalar_neuro_ms')
        self.log_transformed_age_standardized_sev_scalar_msk_rheumarthritis = kwargs.get('log_transformed_age_standardized_sev_scalar_msk_rheumarthritis')
        self.log_transformed_age_standardized_sev_scalar_sense_glaucoma = kwargs.get('log_transformed_age_standardized_sev_scalar_sense_glaucoma')
        self.log_transformed_age_standardized_sev_scalar_sense_macular = kwargs.get('log_transformed_age_standardized_sev_scalar_sense_macular')
        self.log_transformed_age_standardized_sev_scalar_sids = kwargs.get('log_transformed_age_standardized_sev_scalar_sids')
        self.log_transformed_age_standardized_sev_scalar_inj_suicide_firearm = kwargs.get('log_transformed_age_standardized_sev_scalar_inj_suicide_firearm')
        self.log_transformed_age_standardized_sev_scalar_inj_suicide_other = kwargs.get('log_transformed_age_standardized_sev_scalar_inj_suicide_other')
        self.opioids_per_million_population_per_day_5_year_lag = kwargs.get('opioids_per_million_population_per_day_5_year_lag')
        self.opioids_per_million_population_per_day_ten_year_lag = kwargs.get('opioids_per_million_population_per_day_ten_year_lag')
        self.occupation_professionals = kwargs.get('occupation_professionals')
        self.health_industry_workers = kwargs.get('health_industry_workers')
        self.education_years_per_capita_aggregated_by_age_15_and_up_and_sex = kwargs.get('education_years_per_capita_aggregated_by_age_15_and_up_and_sex')
        self.underweight_age_and_sex_specific = kwargs.get('underweight_age_and_sex_specific')
        self.total_physical_activity_met_min_week_age_specific = kwargs.get('total_physical_activity_met_min_week_age_specific')
        self.total_physical_activity_met_min_week_age_standardized = kwargs.get('total_physical_activity_met_min_week_age_standardized')
        self.bacille_calmette_guerin_bcg_vaccine_coverage_proportion = kwargs.get('bacille_calmette_guerin_bcg_vaccine_coverage_proportion')
        self.hepatitis_b_vaccine_coverage_proportion_aged_through_time = kwargs.get('hepatitis_b_vaccine_coverage_proportion_aged_through_time')
        self.adolescent_birth_rates_10_19_years_of_age = kwargs.get('adolescent_birth_rates_10_19_years_of_age')
        self.pigs_raised_in_extensive_agricultural_systems_per_capita = kwargs.get('pigs_raised_in_extensive_agricultural_systems_per_capita')
        self.pigs_raised_in_semi_extensive_agricultural_systems_per_capita = kwargs.get('pigs_raised_in_semi_extensive_agricultural_systems_per_capita')
        self.pigs_raised_in_intensive_industrial_agricultural_systems_per_capita = kwargs.get('pigs_raised_in_intensive_industrial_agricultural_systems_per_capita')
        self.mean_hemoglobin_age_sex_specific = kwargs.get('mean_hemoglobin_age_sex_specific')
        self.hiv_mortality_rate = kwargs.get('hiv_mortality_rate')
        self.medical_schools = kwargs.get('medical_schools')
