"""Mapping of GBD etiologies.

This code is automatically generated by gbd_mapping_generator/etiology_builder.py

Any manual changes will be lost.
"""
from .id import reiid
from .etiology_template import Etiology, Etiologies


etiologies = Etiologies(
    cholera=Etiology(
        name='cholera',
        kind='etiology',
        gbd_id=reiid(173),
        population_attributable_fraction_yll_exists=True,
        population_attributable_fraction_yld_exists=True,
        population_attributable_fraction_yll_in_range=True,
        population_attributable_fraction_yld_in_range=True,
    ),
    non_typhoidal_salmonella=Etiology(
        name='non_typhoidal_salmonella',
        kind='etiology',
        gbd_id=reiid(174),
        population_attributable_fraction_yll_exists=True,
        population_attributable_fraction_yld_exists=True,
        population_attributable_fraction_yll_in_range=True,
        population_attributable_fraction_yld_in_range=True,
    ),
    shigella=Etiology(
        name='shigella',
        kind='etiology',
        gbd_id=reiid(175),
        population_attributable_fraction_yll_exists=True,
        population_attributable_fraction_yld_exists=True,
        population_attributable_fraction_yll_in_range=True,
        population_attributable_fraction_yld_in_range=True,
    ),
    enteropathogenic_e_coli=Etiology(
        name='enteropathogenic_e_coli',
        kind='etiology',
        gbd_id=reiid(176),
        population_attributable_fraction_yll_exists=True,
        population_attributable_fraction_yld_exists=True,
        population_attributable_fraction_yll_in_range=True,
        population_attributable_fraction_yld_in_range=True,
    ),
    enterotoxigenic_e_coli=Etiology(
        name='enterotoxigenic_e_coli',
        kind='etiology',
        gbd_id=reiid(177),
        population_attributable_fraction_yll_exists=True,
        population_attributable_fraction_yld_exists=True,
        population_attributable_fraction_yll_in_range=True,
        population_attributable_fraction_yld_in_range=True,
    ),
    campylobacter=Etiology(
        name='campylobacter',
        kind='etiology',
        gbd_id=reiid(178),
        population_attributable_fraction_yll_exists=True,
        population_attributable_fraction_yld_exists=True,
        population_attributable_fraction_yll_in_range=True,
        population_attributable_fraction_yld_in_range=True,
    ),
    entamoeba=Etiology(
        name='entamoeba',
        kind='etiology',
        gbd_id=reiid(179),
        population_attributable_fraction_yll_exists=True,
        population_attributable_fraction_yld_exists=True,
        population_attributable_fraction_yll_in_range=True,
        population_attributable_fraction_yld_in_range=True,
    ),
    cryptosporidium=Etiology(
        name='cryptosporidium',
        kind='etiology',
        gbd_id=reiid(180),
        population_attributable_fraction_yll_exists=True,
        population_attributable_fraction_yld_exists=True,
        population_attributable_fraction_yll_in_range=True,
        population_attributable_fraction_yld_in_range=True,
    ),
    rotavirus=Etiology(
        name='rotavirus',
        kind='etiology',
        gbd_id=reiid(181),
        population_attributable_fraction_yll_exists=True,
        population_attributable_fraction_yld_exists=True,
        population_attributable_fraction_yll_in_range=True,
        population_attributable_fraction_yld_in_range=True,
    ),
    aeromonas=Etiology(
        name='aeromonas',
        kind='etiology',
        gbd_id=reiid(182),
        population_attributable_fraction_yll_exists=True,
        population_attributable_fraction_yld_exists=True,
        population_attributable_fraction_yll_in_range=True,
        population_attributable_fraction_yld_in_range=True,
    ),
    clostridium_difficile=Etiology(
        name='clostridium_difficile',
        kind='etiology',
        gbd_id=reiid(183),
        population_attributable_fraction_yll_exists=True,
        population_attributable_fraction_yld_exists=True,
        population_attributable_fraction_yll_in_range=True,
        population_attributable_fraction_yld_in_range=True,
    ),
    norovirus=Etiology(
        name='norovirus',
        kind='etiology',
        gbd_id=reiid(184),
        population_attributable_fraction_yll_exists=True,
        population_attributable_fraction_yld_exists=True,
        population_attributable_fraction_yll_in_range=True,
        population_attributable_fraction_yld_in_range=True,
    ),
    adenovirus=Etiology(
        name='adenovirus',
        kind='etiology',
        gbd_id=reiid(185),
        population_attributable_fraction_yll_exists=True,
        population_attributable_fraction_yld_exists=True,
        population_attributable_fraction_yll_in_range=True,
        population_attributable_fraction_yld_in_range=True,
    ),
    influenza=Etiology(
        name='influenza',
        kind='etiology',
        gbd_id=reiid(187),
        population_attributable_fraction_yll_exists=True,
        population_attributable_fraction_yld_exists=True,
        population_attributable_fraction_yll_in_range=True,
        population_attributable_fraction_yld_in_range=True,
    ),
    pneumococcal_pneumonia=Etiology(
        name='pneumococcal_pneumonia',
        kind='etiology',
        gbd_id=reiid(188),
        population_attributable_fraction_yll_exists=True,
        population_attributable_fraction_yld_exists=True,
        population_attributable_fraction_yll_in_range=True,
        population_attributable_fraction_yld_in_range=True,
    ),
    h_influenzae_type_b=Etiology(
        name='h_influenzae_type_b',
        kind='etiology',
        gbd_id=reiid(189),
        population_attributable_fraction_yll_exists=True,
        population_attributable_fraction_yld_exists=True,
        population_attributable_fraction_yll_in_range=False,
        population_attributable_fraction_yld_in_range=False,
    ),
    respiratory_syncytial_virus=Etiology(
        name='respiratory_syncytial_virus',
        kind='etiology',
        gbd_id=reiid(190),
        population_attributable_fraction_yll_exists=True,
        population_attributable_fraction_yld_exists=True,
        population_attributable_fraction_yll_in_range=True,
        population_attributable_fraction_yld_in_range=True,
    ),
)
